1999-12-18  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* ltmain.in: Oops, `largarg' -> `lastarg'.

	* ltmain.in (-Wc, -Xcompiler): Implemented in compile mode.

	* ltmain.in (-Xcompiler, -Xlinker): Add to compile_command and
	finalize_command.
	(-Wc, -Wl): Likewise.

	* tests/quote.test: Adjust quoting style of -Wl.

	* ltmain.in: Oops, `echo' -> `$echo'.

	* ltmain.in (-Wl, -Wc): Make commas argument separators, just like
	in gcc.

	* ltmain.in (libtool_args): Get all arguments properly enclosed in
	quotes and backslash-protected when needed.

1999-12-16  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* ltdl.m4: Renamed from...
	* libltdl/ltdl.m4: that no longer exists.
	* configure.in (ACINCLUDE_M4_LIST): Removed libltdl/acinclude.m4.
	* Makefile.am (aclocal_macros): Added ltdl.m4.
	(libltdl/acinclude.m4): Concatenate libtool.m4 and ltdl.m4.
	* bootstrap: Likewise.
	* libltdl/Makefile.am (ACLOCAL): Remove the definition.  Relying
	upon -I may lead to duplicates.
	* doc/libtool.texi: Suggest appending ltdl.m4 to acinclude.m4.
	* libtoolize.in: Check AC_LIB_LTDL version number in aclocal.m4.

	* libltdl/configure.in (with_auxdir): Do not use it as the
	argument of AC_CONFIG_AUX_DIR, automake requires a literal here.
	Use AC_CONFIG_AUX_DIRS/DIR_DEFAULT instead.

	* libltdl/Makefile.am (ACLOCAL): Define with `-I .', as in
	bootstrap.

1999-12-15  Thomas Tanner  <tanner@ffii.org>

	* libltdl/configure.in: path to auxiliary files can be specified
	  using --with-auxdir (idea by Howard Chu <hyc@highlandsun.com>)

	* ltmain.in: don't remove multiple occurences from dependency_libs
	  of a library, otherwise many dependencies would get lost

	* bootstrap: use "aclocal -I ." instead of adding the contents
	  of ltdl.m4 to acinclude.m4

1999-12-13  Gary V. Vaughan  <gary@gnu.org>

	* NEWS: updated.
	* libltdl/Makefile.am: Use -no-undefined for dll compliance.
	* libltdl/configure.in: Use AC_LIBTOOL_WIN32_DLL for dll
	compliance.
	* libltdl/ltdl.c: Define and use LTDL_GLOBAL_DATA to correctly
	export global data symbols from libltdl.dll.
	* libltdl/ltdl.h: Define and use LTDL_SCOPE to declare data
	symbols as dllexport, dllimport or plain ornary extern depending
	in the context in which it is used.

	* doc/libtool.texi (Distributing libltdl): document use of
	ltdl.m4.
	* libltdl/configure.in: Removed header checks, as they are
        automatically performed by AC_LIB_LTDL.
	* libltdl/ltdl.m4: Added header checks from configure.in, so that
	AC_LIB_LTDL is sufficient to compile ltdl.c.
	Reported by Stephan Kulow <coolo@kde.org>.

	* ltconfig.in (ltdll_obj): fixed typo: objdir -> $objdir

1999-12-12  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (cygwin*, mingw*, export_symbols_cmds): keep any
	DATA tags associated with symbols by recent dlltool.
	(cygwin*, mingw*, archive_expsym_cmds): Honor any DATA tags
	found in the symbol list.
	Reported by Jon Leichter <jon@symas.com>.

1999-12-10  Gary V. Vaughan  <gary@gnu.org>

	From Stephan Kulow <coolo@kde.org>
	* libltdl/ltdl.m4:  Add arg 3 to AC_DEFINE's to save the user
	from having to hack acconfig.h.

1999-12-06  Gary V. Vaughan  <gary@gnu.org>

	* NEWS: Updated.
	* TODO: Note some cleanups that are now needed.
	* libltdl/configure.in: Use the new macroised tests.
	* libltdl/ltdl.m4: New file, macroised tests formerly in
	libltdl/configure.in.
	Reported by Stephan Kulow <coolo@kde.org>.

	From Tim Mooney  <mooney@dogbert.cc.ndsu.NoDak.edu>
	* ltconfig.in:  split off the osf3 section, so that the osf4 and
	osf5 sections can add `-msym' to arguments passed to the linker
	for shared libs.

1999-12-03  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* ltconfig.in (ac_compile): Use $ac_ext instead of .c.
	(ac_link): Likewise.
	(dlfcn.h, ac_try): Do not add filename, it is already in
	ac_compile.
	Reported by Stephane Conversy <Stephane.Conversy@lri.fr>

	* ltconfig.in (linux-gnu*): Disable hardcode_into_libs until it
	works together with fast_install.

	* libtool.m4: Use host when --target is not specified.

	* configure.in: AC_SUBST variables that are used by ltconfig to
	build libtool.

	* ltconfig.in (irix6*): Do not override deplibs_check_method
	here.

	* libtool.m4: Do not AC_SUBST anything other than LIBTOOL.

1999-11-20  Michael Forster  <email@michael-forster.de>

	* ltconfig.in (linux-gnu*): Set hardcode_into_libs=yes.

1999-11-29  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in:  Be friendlier to C++ compilers when testing
	for dlopen support.
	Reported by Stephan Kulow <coolo@itm.mu-luebeck.de>

1999-11-26  Gary V. Vaughan  <gary@gnu.org>

	* libtool.m4:  better use of $target instead of $host to support
	cross compilation.
	Reported by Sam Latinga <slouken@devolution.com>

1999-11-16  Thomas Tanner  <tanner@ffii.org>

	* configure.in: generate ltconfig and ltmain.sh before configuring
	  libltdl

1999-11-04  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* tests/sh.test: New test to detect uses of quotes within
	backticks within quotes.
	* ltconfig.in, ltmain.in: Fix detected errors.  Mark false
	positives with a comment that disables the detector.
	Reported by Akim Demaille <akim@epita.fr>

	* configure.in: Move ltconfig and ltmain.sh generation back...
	* Makefile.am: here.

1999-11-02  Thomas Tanner  <tanner@ffii.org>

	* NEWS: updated
	* THANKS: added Olly Betts and Pavel Roskin
	* doc/libtool.texi: fix typo

	* fix major bugs which rendered libtool virtually
	  unusable (i.e. not portable):
	* ltconfig.in: don't hardcode system dependent variables in ltconfig!!
	  but set sane defaults
	* Makefile.am: pass variables from AC_LIBTOOL_SETUP to ltconfig
	* libtool.m4: ditto, fix typo in AC_PROG_LD_RELOAD_FLAG

	* ltconfig.in: use old_deplibs for archives, too
	  remove second occurence of sysv5
	* ltmain.in: fix typo, fix the second occurence of -DPIC, too

	* libltdl/Makefile.am: increment version number, fix typo
	* libltdl/ltdl.c (lt_dlsym): don't report an error if the
	  libltdl-style symbol name wasn't found

1999-11-02  Wolfgang Rapp <ulris@bn-ulm.de>

	* ltconfig.in: add support for Unixware (sysv4.2uw2*)

1999-10-29  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in:  Damnit!  Cygwin cvs committed all the
	dos line endings.

1999-10-28  Stephane Conversy  <Stephane.Conversy@lri.fr>

	* ltmain.in (-DPIC):  changed the order of pic flags a little to
	prevent upsetting the sgi c++ compiler.

1999-10-28  Olly Betts  <olly@muscat.co.uk>

	* ltconfig.in (opt_cr):  Handle crlf sequences output by the
	mingw toolchain.

	* libtool.m4:  Third time lucky, with Tor's patch.

1999-10-19  Tor Lillqvist  <tml@iki.fi>

	* libtool.m4:  these was a missing `*' in the -mno-cygwin
	match.
	* ltconfig.in (cygwin, ltdll_obj): fixed a quoting error.
	(export_symbols_cmds): added missing cosmetic newline.

1999-10-18  Tor Lillqvist  <tml@iki.fi>

	* libtool.m4: test command used == which should be =.
	Support -mno-cygwin flag for building mingw32 dlls.
	* ltconfig.in (file_magic_cmd): add missing quotes.
	(deplibs_check_method): and here.

1999-10-16  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* libltdl/ltdl.c (lt_dlopen): Do not search paths when the
	specified library is not just a basename.

1999-10-10  Gary V. Vaughan  <gary@gnu.org>

	* libtool.m4 (AC_PATH_FILE): new macro replaces
	AC_PATH_TOOL_GREP_OUTPUT.
	(AC_PATH_TOOL_PREFIX): new macro replaces
	AC_PATH_PROG_GREP_OUTPUT.
	(AC_LD_RELOAD_FLAG):  migrated from ltconfig.in.
	(AC_DEPLIBS_CHECK_METHOD): ditto.
	* ltconfig.in (reload_flag): moved to libtool.m4.
	(deplbs_check_method): ditto.

1999-10-07  Gary V. Vaughan  <gary@gnu.org>

	* libtool.m4 (AC_PATH_PROG_VERSION_GREP): removed in favour of the
	more general AC_PATH_PROG_GREP_OUTPUT.
	(AC_PATH_TOOL_VERSION_GREP): removed in favour of the more general
	AC_PATH_TOOL_GREP_OUTPUT.
	(AC_PROG_LIBTOOL):  Search for a working find program in the
	user's PATH using the new macros.

1999-10-06  Gary V. Vaughan  <gary@gnu.org>

	* NEWS: updtaed.
        * ltconfig.in: Accept osf5.
        Reported by Sascha Schumann <sascha@schumann.cx>

1999-10-04  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in (-no-install):  This doesn't work on win32 since
	the search path for libraries is not encoded in the binary,
	and dlls not in $PATH won't be found.  Fall back to -no-fast-install
	instead.

	* ltmain.in (-no-fast-install):  Wrapper script used to add the
	exeext on again when naming the wrapped executable.

1999-10-03  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in:  Set $FILE to @FILE@ for substitution with
	the value found in libtool.m4 at configure time.
	* libtool.m4 (AC_PATH_TOOL_GREP_VERSION):  New macro, combines
	AC_PATH_PROG and AC_CHECK_TOOL with a test which greps the
	output of $ac_dir/${ac_prefix}<tool> --version for a
	given regex.
	(AC_PATH_PROG_GREP_VERSION):  New macro used by the above.
	(AC_LIBTOOL_SETUP): Use the new macros to search the PATH
	[starting at /usr/bin] for a file program which accepts
	--version and has "file" in its --version output.

1999-10-03  Thomas Tanner  <tanner@ffii.org>

	* NEWS: new -no-install flag
	* configure.in: fix typo
	* doc/libtool.texi(Link mode): document -no-install flag,
	  correct -no-fast-install docs
	* libtool.m4: check for "file" command
	* ltconfig.in: don't hardcode /usr/bin/file, remove second
	  definition of sysv5, replace linkopts -> linker_flags
	* ltmain.in: add new -no-install flag, print help for -no-install
	  and -no-fast-install flags

1999-10-03  Olly Betts <olly@muscat.co.uk>

	* ltmain.in: always create output_objdir

1999-10-03  Pavel Roskin  <pavel_roskin@geocities.com>

	* libltdl/Makefile.am: don't preserve file attributes when
	  installing the libltdl sources

1999-10-01  Gary V. Vaughan  <gary@gnu.org>

	* configure.in (AC_OUTPUT_COMMANDS): generate ltmain.sh
	* Makefile.am (ltmain.sh ltconfig): removed.  Automake inserts the
	rules to automatically call config.status.

	* libtool.m4: be sure to AC_SUBST values no longer tested in
	ltconfig.in.
	* ltconfig.in: replaced several of the simple feature tests with
	substitutions from config.status.
	* Makefile.am (ltconfig): generate ltconfig with config.status.
	* configure.in (AC_OUTPUT): generate ltconfig with config.status.

1999-09-30  Donald Anderson  <dda@world.std.com>

	* ltconfig.in (sco3.2v5): use pass_all deplibs_check_method
	for SCO3.2.

1999-09-29  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (whole-archive-flag-spec):  I had been
	wondering why my file system was filling up with empty
	files named `71'... seems I forgot to hold in the
	shift key when redirecting stderr, 2>&1.  Doh!

1999-09-29  Vadim  <vadim@olly.ru>

	* ltconfig.in (sysv):  More UW7 support.

1999-09-28  Albert Cheng  <acheng@ncsa.uiuc.edu>

	* ltmain.in (shlibpath_var): ensure the variable is non-empty before
	exporting it.

1999-09-27  Manfred Weichel  <weichel@global.nacamar.de>

	* ltconfig.in (sysv5): Added support required for shared
	library linking on SCO UW7.

1999-09-22  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (whole-archive-flag-spec): test whether the
	version of GNU ld being used understands --whole-archive
	before using it.

1999-09-19  Thomas Tanner  <tanner@ffii.org>

	* ltmain.in: don't ignore convenience libraries for objects/archives
	  (temporary hack)

1999-09-14  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* ltconfig.in (CDPATH): Set to `:' instead of empty.
	* ltmain.in (CDPATH): Likewise.
	Reported by Greg McGary <gkm@eng.ascend.com>

1999-08-24  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (ltdll.c, impgen.c): Prevent the shell from
	expanding variables & backslash escapes when writing these
	files to the libtool script.

1999-08-24  Thomas Tanner  <tanner@ffii.org>

	* NEWS: mention fixes
	* doc/PLATFORMS: GNU/Hurd update
	* depdemo: make use of variables
	* ltconfig.in: use CC -E when checking for ELF support
	  on NetBSD (reported by Todd Vierling <tv@pobox.com>),
	  replace all occurences of 'linkopts' with 'linker_flags'
	* ltmain.in: move ltdll.c and impgen.c to ltconfig.in and
	  only add them to the libtool script if it's necessary

1999-08-24  Boyd Gerber  <gerberb@zenez.com>

	* ltconfig.in: add support for UnixWare 7.X.X
	* doc/PLATFORMS: add new platforms

1999-08-24  Pavel Roskin  <pavel_roskin@geocities.com>

	* doc/libtool.texi: document use of noinst_LTLIBRARIES for
	  convenience libraries

	* ltconfig.in: check for freebsdelf3, not just freebsd3.
	Set hardcode_into_libs=yes for FreeBSD 3.0 and 3.1

	* ltmain.in: enable workaround for freebsdelf3.0

1999-08-24  Bert Driehuis  <bert_driehuis@nl.compuware.com>

	* ltconfig.in: export_dynamic_flag_spec is -rdynamic on BSD/OS

1999-08-07  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/COPYING.LIB: Update to version 2.1.
	* libltdl/ltdl.h, libltdl/ltdl.c: Update FSF address.

1999-08-03  Gary V. Vaughan  <gary@gnu.org>

	* libtool.m4 (mingw*, AC_PROG_LD): use tr for carriage return
	stripping.
	* ltconfig.in: ditto.
	From Olly Betts <olly@muscat.co.uk>

1999-08-02  Olly Betts  <olly@muscat.co.uk>

	* doc/libtool.texi (Compile mode): typo correction.
	(Link mode): and another.
	(Release numbers):  and another.
	(Distributing libltdl): and another.
	(Test descriptions): and another.
	(libtool script contents): and one more.

	* libtool.m4 (AC_PROG_LD): strip carriage returns from the
	output of gcc -print-prog-name=ld.
	* ltconfig.in: ditto.

1999-07-30  Pavel Roskin  <pavel_roskin@geocities.com>

	* ltmain.in: Ensure that gcc on HPsUX uses -fPIC, or else
	initialised structures are sometimes emitted in the code section.

1999-07-30  Mumit Khan  <khan@xraylith.wisc.edu>

	* ltconfig.in:  Read line at a time to avoid tokenisation by
	shell.

1999-07-29  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in: Fix creation of relative links to object files in
	sub-dirs.

1999-07-29  Olly Betts  <olly@muscat.co.uk>

	* ltconfig.in(cygwin mingw32, archive_expsym_cmds): Only compile
	and link ltdll.c if the libtool.m4 macros discovered that it is
	required.

1999-07-26  Olly Betts  <olly@muscat.co.uk>

	* libtool.m4(cygwin mingw32, AC_LIBTOOL_SETUP): Oops.  Fix some
	typos made by Evil Gary while (mis)applying my patch :-).

	* libtool.m4(cygwin mingw32, AC_LIBTOOL_SETUP):  On second
	thoughts, only probe for -mdll vs -dll on mingw, and revert to
	the old `-Wl,--dll -nostartfiles' on cygwin.

1999-07-24  Erez Zadok  <ezk@cs.columbia.edu>

	* doc/PLATFORMS (i*86-*openbsd2.5):  New platform.
	Slight reordering of other bsd entries.

1999-07-24  Olly Betts  <olly@muscat.co.uk>

	* NEWS: Note new user visible changes.
	* libtool.m4 (mingw32, AC_LIBTOOL_SETUP): probe for -mdll vs -dll
	under cygwin/mingw.
	probe whether the cygwin/mingw library supplies a stub DllMain
	(but this information isn't yet used).
	* ltconfig.in (mingw32, extract_expsyms_cmds): if HOST_CC is set,
	use that to build impgen so we can use it when cross-compiling.
	use correct entry points for mingw so static C++ constructors get
	called for code in the DLL.
	* ltmain.in (impgen.c): define O_BINARY to 0 if it is not in the
	system headers.

1999-07-24  Bert Driehuis <bert_driehuis@compuware.com>

	* ltconfig.in:  Updated bsdi4 soname specs to be more like
	linux as discussed on the bsdi mailing list.

1999-07-20  Gary V. Vaughan  <gary@gnu.org>

	* configure.in (AC_PROG_RANLIB):  No longer required as we now use
	AC_CHECK_TOOL in AC_LIBTOOL_SETUP.
	* libtool.m4 (AC_PROG_LIBTOOL):  Pass the $build variable to
	ltconfig.
	(AC_PROG_RANLIB): replaced with AC_CHECK_TOOL.
	* ltconfig.in (build): new variable to hold the build triplet
	which is now checked for unless --no-verify is specified.
	(--build): new argument to set the build triplet.
	(ranlib): Prefer ${host_alias}-ranlib[.exe] if $build is different
	to $host.
	* doc/libtool.texi (Invoking ltconfig): Document --build option.
	* NEWS: Note --build option.

1999-07-19  Erez Zadok  <ezk@cs.columbia.edu>

	* doc/PLATFORMS: Updated mostly *bsd platforms.

1999-07-19  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/libtool.texi (Porting inter-library dependencies): Typos
	Reported by Petter Reinholdtsen <pere@hungry.com>

1999-07-17  Thomas Tanner  <tanner@ffii.org>

	* NEWS, TODO: updated (pic flags)
	* libtool.m4 (AC_PROG_LIBTOOL): added --with-pic flag
	* ltconfig.in: new pic_mode variable and --prefer[-non]-pic flags,
	  fixed the strip check (reported by Keith Bostic <bostic@bostic.com>)
	* ltmain.in (compile mode): build only PIC/non-PIC code depending
	  on pic_mode
	* libltdl/README: document the supported dlopen interfaces
	* doc/libtool.texi (tests): documented new tests
	* tests/Makefile.am: added new tests
	* tests/demo-pic.test: new test to test --with-pic
	* tests/demo-nopic.test: new test to test --without-pic
	* tests/build-relink2.test: variant of build-relink.test that
	  uses depdemo

1999-07-09  Olly Betts  <olly@muscat.co.uk>

	* doc/libtool.texi (C++ Libraries):  fixed a typo.

1999-07-06  Gary V. Vaughan  <gary@gnu.org>

	* README-alpha:  improved the release instructions to mention
	actual list addresses for announcements, and urls for upload
	locations.

1999-07-03  Thomas Tanner  <tanner@ffii.org>

	* doc/PLATFORMS: 1.3b passes all tests on cygwin

1999-07-03  Pavel Roskin <pavel_roskin@geocities.com>

	* ltconfig.in: finish_cmds for FreeBSD removed
	* depdemo/l3/Makefile.am: install libl3.la into an extra directory

1999-07-02  Gary V. Vaughan  <gary@gnu.org>

	* configure.in: bumped version to 1.3c.

	GNU libtool 1.3b was released.

	* NEWS: inserted todays date.

1999-07-02  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/PLATFORMS: Tested on as many platforms as possible for me.

1999-07-01  Thomas Tanner  <tanner@ffii.org>

	* NEWS: updated
	* doc/PLATFORMS: updated
	* changed my email address

1999-06-30  Thomas Tanner  <tanner@ffii.org>

	* demo/foo.h: use LT_PARAMS instead of LTDL_PARAMS (this is not libltdl)
	* tests/build-relink.test: also check for hardcode_into_libs = yes,
	  if set, we need to relink at install-time

1999-06-29  Thomas Tanner  <tanner@ffii.org>

	* NEWS: mention -no-fast-install, rename dummy to force
	* doc/PLATFORMS: 1.3b passes all tests on GNU/Linux,
	  FreeBSD (2.2.6 and 3.1)
	* doc/libtool.texi: it's possible to link libtool libraries
	  using -L and -l, better documentation of uninstall and clean mode,
	  rename dummy to force, documented -no-fast-install,
	  AC_LIBLTDL_* must be called before AC_PROG_LIBTOOL,
	  documented hardcode_into_libs and striplib/old_striplib,
	* ltconfig.in: search for strip program, added hardcode_into_libs
	  and striplib/old_striplib variables, set strip commands for GNU strip,
	  on FreeBSD >= 3.2 set hardcode_into_libs to yes,
	  fast-install mode doesn't work if hardcode_into_libs = yes
	* ltmain.in: reimplemented hardcoding into libraries:
	  new relink mode, preserve all libtool args, relink libraries
	  when installing if necessary
	  added -no-fast-install flag, removed unnecessary `dlname'
	  initialization, use striplib/old_striplib for stripping libraries,
	  dlname is always soname or in library_names so we don't need
	  to handle different file names

1999-06-29  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (freebsd*, shlibpath_overrides_runpath): Set to yes
	up to release 3.1, and to no from 3.2 on.
	Reported by Pavel Roskin <pavel_roskin@geocities.com>

1999-06-29  Pavel Roskin <pavel_roskin@geocities.com>, Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (freebsd*, shlibpath_overrides_runpath): Set to
	yes; tested on 3.1-ELF by Pavel and on 2.2.6 by Alexandre.

1999-06-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (linux-gnu*, deplibs_check_method): Use pass_all on
	alpha, x86 and sparc architectures by now, reverting to file_magic
	at least on ARM, where it breaks.

1999-06-23  Thomas Tanner  <tanner@ffii.org>

	* NEWS: updated
	* README: added GNU Hurd to the supported platforms
	* doc/libtool.texi: document `-dlpreopen dummy'
	  instead of `-dlopen dummy'
	* libltdl/ltdl.c (strchr): fixed typo (missing star)

1999-06-23  Stephan Kulow <coolo@itm.mu-luebeck.de>

	* libltdl/ltdl.c (strrchr): fixed typo (missing star)
	* libltdl/ltdl.c (trim): use `const' to silence -Wwrite-strings

1999-06-23  Olly Betts  <olly@muscat.co.uk>

	* ltmain.in (ltdll.c): Support for crosscompiling from linux to
	mingw32.

1999-06-23  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (cygwin, export_symbols_cmds): If there is already
	an extracted and compiled ltdll.c, then don't delete, reextract
	and recompile.
	(cygwin, archive_expsym_cmds): Make sure the ltdll source has been
	extracted and compiled before referencing the object, since there
	are paths through the code which run archive_expsym_cmds without
	running export_symbols_cmds.

1999-06-20  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in:  moved the test for NM after the test for
	no_builtin_flag.

1999-06-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in: Use sed '$q' instead of sed "" for copying ltmain,
	just in case some sed does not support an empty command.

	* ltconfig.in (link_static_flag, ac_cv_prog_cc_static): Use the
	latter in the test.

1999-06-18  Thomas Tanner  <tanner@ffii.org>

	* ltconfig.in (bsdi4, deplibs_check_method): use a less restrictive
	  regex (reported by Chris P. Ross <cross@eng.us.uu.net>)
	* ltmain.in: support `-dlopen dummy', define lt_preloaded_symbols
	  if dlself != no
	* doc/libtool.texi (Compile and Link mode): document it,
	  documented the -Wc, -Wl flags, libtool does also support non C
	  source code

1999-06-18  Teun Burgers  <burgers@ecn.nl>

	* ltconfig.in: CR/LF fix for broken DJGPP bash
	* ltmain.in: CR/LF fix for DJGPP

1999-06-18  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in (outputname): When generating the executable wrapper
	script, $outputname already has the $exeext suffix, so we needn't
	add it again.

1999-06-16  Gary V. Vaughan  <gary@gnu.org>

	* libltdl/configure.in (ac_cv_lib_dl_dlopen): missing "x" in test
	comparison corrected.

	* libltdl/ltdl.c (sys_wll_open): libltdl expects this function to
	fail if it is unable to physically load the library.  Sadly,
	LoadLibrary will search the loaded libraries for a match and
	return one of them if the path search load fails.  Simulate a
	failure in this case for compatibility with the other APIs.
	Also, LoadLibrary takes the liberty of adding `.dll' to library
	names passed without an extension, we now add a trailing `.' to
	prevent this from happening.

1999-06-15  Gary V. Vaughan  <gary@gnu.org>

	* libltdl/ltdl.c (sys_wll_close): Strangely enough, Microsoft have
	decided that LoadLibrary returns `0' for success, yet FreeLibrary
	returns `0' for failure!  The FreeLibrary call used to interpret
	`0' as success for both functions.

1999-06-14 Thomas Tanner  <tanner@ffii.org>

	* ltconfig.in: use eval when setting have_dlfcn_h, reformatting

1999-06-12 Thomas Tanner  <tanner@ffii.org>

	* ltmain.in: store old archives in deplibs and old_deplibs,
	  retain the order of dependency libraries (even old archives),
	  determining the absolute directory name didn't work due to a typo,
	  add the library search paths of all dependency libraries when
	  linking a library (fixes IRIX 5.2 bug)

1999-06-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in: Reverted June 6's patch for new GNU ld output, it
	is no longer needed, as ld reverted to the original format.
	* NEWS: Likewise.

	* ltconfig.in: When testing self-dlopening, test whether dlclose
	crashes.  On FreeBSD 3.1, it does.  :-(
	* libltdl/configure.in: Likewise.
	* NEWS: Note work-around.
	Reported by Pavel Roskin <pavel_roskin@geocities.com>

1999-06-09  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (exeext): autoconf's AC_EXEEXT uses "no" to indicate
	no extension, and we must do the same in order to share the cache
	value. Also we must ignore conftest.err which HPsUX (at least)
	fills with gratuitous warnings.
	(objext): for consistency, do the same as above.
	Reported by Pavel Roskin <pavel_roskin@geocities.com>

1999-06-09  Pavel Roskin  <pavel_roskin@geocities.com>

	* ltconfig.in (exeext): Use quotes in the test, to prevent a
	failure in sh.test.

1999-06-09  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in: Reordered tests to be more like configure.in's
	recommended order (programs first, then libraries, etc.).
	Performed a manual ``constant folding pass'' (eg: s/eval "test
	\"echo '$''{'lt_cv_dlopen'+set}'`\" != set/test
	"${lt_cv_dlopen+set}" != set/).
	s/test "${foo+set}" = "set"/test "X${foo+set}" = Xset/g

	* ltconfig.in (link_static_flag): Accept, in order of decreasing
	preference: the cached value; the default value for the current
	host.  Also test that the compiler accepts the flag, and cache
	that result too.

	* ltconfig.in (pic_flag): Accept, in order of decreasing
	preference:  the cached value; the default value for the current
	host.  Also test that the compiler accepts the flag, and cache
	that result too.

1999-06-08  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (LN_S): Accept, in order of decreasing preference:
	the cached value; an environment setting; ``ln -s'' if it works;
	``ln'' if ``ln -s'' doesn't appear to work.

	* ltconfig.in (objext): Accept, in order of decreasing preference:
	the cached value; the result of a test object compilation.

	* ltconfig.in (RANLIB): Accept, in order of decreasing preference:
	the cached value; an environment setting; the first file called
	``ranlib'' in the user's path.

	* ltmain.in (exeext): Use $exeext when working out the names of
	programs (but not the wrapper script itself due to a stupidity in
	win32 which hardwires the .exe extension to the binary loader!).
	* ltconfig.in (exeext): Now that the wrapper script tries to move
	executables, we need to know whether they have an extension (ala
	AC_EXEEXT).  Since we can't rely on AC_EXEEXT having been called
	in configure.in, we must be able to check for ourselves, though we
	can look for a cached result incase AC_EXEEXT was called.

	* ltconfig.in (cygwin, pic_flag):  Force separate compilation of
	objects for dlls vs. objects for static archives.  Using a cpp
	macro also allows us to decide whether or not we need to use
	dllexport/import declarations.

	* ltconfig.in (cygwin, need_version): Set to no, otherwise module
	dll's end up with mighty long names!

1999-06-06  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in: Support new GNU ld --help output format.
	* NEWS:  Likewise.
	Reported by Gaël Quéri <gael@baoule.dyndns.org> and
	H.J. Lu <hjl@varesearch.com>.

1999-06-05  Mark Kettenis  <kettenis@gnu.org>

	* ltconfig.in: Update support for the Hurd.  Make sure that the
	soname includes the major version number and create the	right
	links.  Allow shared objects without the `lib' prefix and without
	version information.

1999-06-02 Nick Rasmussen <nick@jive.org>

	* ltmain.in (link): use "$nonopt" as the compiler for
	  compile/finalize_command

1999-05-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* TODO: Remove the short list of people interested in C++
	constructors; it's not meaningful, since there are so many more
	people requesting this feature, and we just can't maintain it
	accurate.

1999-05-27  Pavel Roskin  <pavel_roskin@geocities.com>

	* ltconfig.in (GNU Hurd, deplibs_check_method): Use pass_all.

1999-05-27  Alexandre Oliva  <oliva@dcc.unicamp.br>, Olly Betts  <olly@muscat.co.uk>

	* ltmain.in: Expand convenience libraries when creating reloadable
	objects.
	* NEWS: Ditto.

1999-05-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* NEWS: Mention the two bugfixes below.

	* ltmain.in: Only create directory into which to extract
	convenience libraries when $convenience is not empty.  It would
	always be created on systems that did not support
	whole_archive_flag_spec.

	* ltconfig.in (export_symbols_cmds): Add $convenience.
	(cygwin, export_symbols_cmds): Ditto.
	* ltmain.in: Generate export symbol list before expanding
	convenience libraries, to avoid passing whole_archive_flag_spec to
	$NM.
	Reported by Godmar Back <gback@cs.utah.edu>

1999-05-27  David Jones  <jones@mosaid.com>

	* libltdl/ltdl.c (LTDL_BIND_FLAGS): Remove BIND_VERBOSE, to avoid
	printing error messages.

1999-05-26  Alexandre Oliva  <oliva@dcc.unicamp.br>

	GNU libtool 1.3.2 was released.

1999-05-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* NEWS: List fixed problems.
	* doc/PLATFORMS: Tested for 1.3.2.

	* config.guess: Synch with GNU common.

	* ltmain.in: Revert to stripping .exe on all platforms.
	* TODO: Note about this problem.  Demo is fixed on win32.  Support
	`empty' convenience libraries.

	* ltconfig.in (solaris*, ld_shlibs): Do not enable shared
	libraries with GNU ld 2.8.*, it's broken.  Emit a warning
	suggesting an upgrade.
	Reported by Brian Ford <ford@vss.fsi.com> and Ronald Pijnacker
	<Ronald.Pijnacker@best.ms.philips.com>

1999-05-25  Frank Ch. Eigler <fche@cygnus.com>

	* ltmain.in: file_magic check would not avoid cyclic links.

1999-05-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* depdemo/main.c, depdemo/l1/l1.c, depdemo/l2/l2.c: K&R-ize.
	* depdemo/l3/l3.c, depdemo/l4/l4.c: Likewise.

	* ltmain.in: Remove object files before writing to them, to avoid
	circular links.
	Reported by Ron O'Hara <rono@sentuny.com.au>

1999-05-24 Thomas Tanner  <tanner@ffii.org>

	* NEWS: support for installing stripped libraries using GNU strip
	* ltconfig.in: set deplibs_check_method=pass_all on FreeBSD,
	  Linux and Solaris since no one can reproduce the famous deplibs
	  bug
	* ltmain.in: preserve $CC (reported by Tom Tromey),
	  strip libraries using GNU strip if it's available and the
	  -s flag was passed to "install"

1999-05-23  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/PLATFORMS: Release 1.3.1 passes on GNU Hurd/x86.
	Reported by Pavel Roskin <pavel_roskin@geocities.com>

1999-05-23 Thomas Tanner  <tanner@ffii.org>

	* ltmain.in: strip off the .exe suffix only on *Win
	  (Reported by Matthew D. Langston <langston@SLAC.Stanford.EDU>)

1999-05-22 Thomas Tanner  <tanner@ffii.org>

	* NEWS: updated
	* TODO: -Wc, -Wl, implemented
	* AUTHORS: changed my email address
	* doc/libtool.texi: fix "wierd" typo :)
	* ltmain.in: linking against convenience libraries was broken,
	  implemented the "-Wc," "-Wl," "-Xcompiler" "-Xlinker" flag for
	  compiler and linker-specific flags,
	  add -lc before we do the deplibs check
	* ltconfig.in: linkopts -> compiler_flags for $CC and linker_flags
	  for $LD, link_all_deplibs=yes on IRIX

1999-05-22  Gary V. Vaughan  <gary@gnu.org>

	* NEWS: insert todays date alongside 1.3.1 release.
	* Makefile.in: use gnu not gnits rules
	* config.guess: synch with gnu common & apply Takabatake-san's
	MIPS *000 patch.
	* config.sub: synch with gnu common.

1999-05-22  Doug Evans  <devans@casey.cygnus.com>

	* libltdl/configure.in (dlerror): Fix typo in dlopen found in -ldl
	test.

1999-05-21  Pavel Roskin  <pavel_roskin@geocities.com>

	* Makefile.am (EXTRA_DIST): Don't distribute instutils.
	(install-data-hook): use libltdl/Makefile.am's local-install files
	rule.
	* libltdl/Makefile.am (local-install-files):  New rule to install
	libltdl without creating links or mode 777 directories.
	* instutil/*: deleted.

1999-05-21  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/PLATFORMS: Updated to 1.3.1 for all platforms I've got.
	Added sparc-unknown-linux-gnu.

1999-05-21  Gary V. Vaughan  <gary@gnu.org>

	* demo/foo.h: s/PARAMS/LTDL_PARAMS/g
	* libltdl/ltdl.h: ditto.
	* libltdl/ltdl.c: ditto.

	* demo/foo.h: s/__P/PARAMS/g
	* libltdl/ltdl.h: ditto.
	* libltdl/ltdl.c: ditto.
	Reported by Akim Demaille <demaille@inf.enst.fr>

1999-05-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* NEWS: Updated docs.
	* TODO: Recommend libtool.m4 to be inserted in acinclude.m4. AIX
	4.3.2.0 no longer fails on static dlopening.  GNU DLD no longer
	has to support .la files, since libltdl already does.  Convenience
	libraries and reloadable objects should be tested in the
	testsuite.  We could support some amount of control on the soname
	of libraries.
	* doc/libtool.texi: Notes about convenience libraries and
	automake.  Documented INCLTDL.

1999-05-20 Thomas Tanner  <tanner@gmx.de>

	* cdemo/main.c: "Welcome _to_ ..."
	* mdemo/main.c: ditto
	* libltdl/configure.in: support multiple dlopening mechanisms
	  at once
	* libltdl/ltdl.c: prefix system dependent functions with "sys_"
	  to avoid symbol conflicts (libdld didn't work)
	* libtool.m4 (AC_LIBLTDL_*): set INCLTDL to the path of ltdl.h
	* ltconfig.in: check for dlopen with -ldl first

1999-05-19  Gary V. Vaughan  <gary@gnu.org>

	* NEWS: Added 1.3.1 news items.
	* doc/PLATFORMS: updated the boxes I have access to, to 1.3.1
	in preparation for the next release.

1999-05-18  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (cygwin*, whole_archive_flag_spec): dlltool chokes
	on this, so leave it unset in this case so that the ltmain code
	knows it has to unpack convenience archives by itself.

1999-05-17  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in: Do not exit when an unknown library name is passed
	passed in, simply warn and continue since some compilers require
	-LANG:* like options to work.
	Reported by Adam C. Powell, IV <adam.powell@nist.gov>

1999-05-17  Jiro Takabatake  <jiro@din.or.jp>

	* ltconfig.in: port to NEC UX/4800.
	* NEWS: updated.

1999-05-17  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (beos*, deplibs_check_method): set to pass_all.  BeOS
	is PIC by default.
	Reported by "Shawn T . Amundson" <amundson@gimp.org>

	* libltdl/configure.in: Fix test failures on AIX 4.3.2 by checking
	for dlopen *with* -ldl first.
	Reported by Greg Wooledge <ic5035%tss1crs.amgreetings.com@rose.amgreetings.com>

	* demo/foo.h: Don't set any declspecs until we have full dll
	support.

1999-05-16  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (solaris2.6, whole_archive_flag_spec): Do not use
	-Wl for allextract.

1999-05-14  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* instutil/chmod: New script to avoid chmod'ing files while
	installing libltdl's sources.
	* instutil/ln: New script to avoid hard-linking libltdl's sources
	in the install tree.
	* Makefile.am (EXTRA_DIST): Dist them.
	(instal-data-hook): Add srcdir/instutil to the beginning of the
	PATH before installing libltdl's sources.

1999-05-09  Gary V. Vaughan  <gary@gnu.org>

	* TODO: updated.

1999-05-06  Gary V. Vaughan  <gary@gnu.org>

	* Makefile.am (install-data-hook):  make sure the install directory
	is not left world writable.
	Reported by Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

1999-04-30  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4: Use ifelse instead of if.
	Reported by David Mazieres <dm@amsterdam.lcs.mit.edu>

1999-04-29  Alexandre Oliva  <oliva@dcc.unicamp.br>

	GNU Libtool 1.3 was released.

	* NEWS: Summarize news from 1.2 to 1.3.

	* ltmain.in: Save exit status of link_command before removing
	symbol table object file.

1999-04-29  Gary V. Vaughan  <gary@gnu.org>

	* doc/PLATFORMS: updated my hpux-10.20 and cygwin box entries.

1999-04-29  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* NEWS: Improved support for DU and IRIX too.

	* config.sub, config.guess: Updated from GNU common.

	* mdemo/configure.in: Move AC_LIBLTDL_CONVENIENCE before
	AM_PROG_LIBTOOL, as suggested by autoconf.

	* doc/libtool.texi (Distributing libltdl): Document that -static
	may cause the same problems on libltdl as -all-static.
	* TODO: We might want to fix this in the future.

	* doc/libtool.texi: Clear up overfull hbox.

	* libltdl/Makefile.am (ltdl.lo): Add dependencies.
	* libltdl/configure.in: Clean up some duplicate defines.  Enable
	support for multiple dlopening mechanisms.
	* libltdl/acconfig.h: New file.  Add #undefs for defines that
	would be duplicated.

1999-04-29  Gary V. Vaughan  <gary@gnu.org>

	* libtool.m4 (cygwin*|mingw*, DLLTOOL, OBJDUMP, AS): Only expand the
	code that makes these configure time checks on hosts that need the
	tools *and* if the AC_LIBTOOL_WIN32_DLL macro is used.

1999-04-29  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (nlist, SYMFILE): Use outputname instead of output for
	names within output_objdir.

1999-04-28  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (AC_ENABLE_SHARED, AC_ENABLE_STATIC,
	AC_ENABLE_FAST_INSTALL): Do not call AC_BEFORE here, they're
	AC_REQUIREd by AC_LIBTOOL_SETUP.
	(AC_DISABLE_SHARED, AC_DISABLE_STATIC, AC_DISABLE_FAST_INSTALL):
	Call AC_BEFORE here, and now with two arguments, since these do
	change the default.
	(AC_LIBLTDL_CONVENIENCE, AC_LIBLTDL_INSTALLABLE): Fix calls to
	AC_BEFORE.

1999-04-28  Gary V. Vaughan  <gary@gnu.org>

	* libtool.m4 (ltconfig_enable_win32_dll): pass --enable-win32-dll to
	ltconfig if this is set.
	(AC_LIBTOOL_WIN32_DLL): New macro required for libtool to attempt
	a dll build on win32 hosts.
	* ltconfig.in (--enable-win32-dll): new flag for the cli.
	(cygwin*|mingw*|os2*, ltconfig_enable_win32_dll): if this is not set
	to yes, then do not attempt to build shared libraries.
	* doc/libtool.texi: document AC_LIBTOOL_WIN32_DLL.
	* NEWS: noted new macro.

1999-04-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (AC_LIBTOOL_DLOPEN, AC_ENABLE_SHARED,
	AC_ENABLE_STATIC, AC_ENABLE_FAST_INSTALL, AC_LIBLTDL_CONVENIENCE,
	AC_LIBLTDL_INSTALLABLE): Warn if they appear after
	AC_PROG_LIBTOOL.  AC_LIBTOOL_SETUP, actually.
	(AC_LIBTOOL_SETUP): Check whether DLOPEN support is to be enabled
	at autoconf time, not configure time.  Simplify code and
	improve (?) help message about --disable-libtool-lock.

1999-04-27 Thomas Tanner  <tanner@gmx.de>

	* NEWS: new clean mode
	* THANKS: added Ossama Othman
	* doc/libtool.texi: documented the new `clean' mode
	* ltconfig.in: set need_version=no on OSF (reported by
	  Marcus Sundberg <mackan@stacken.kth.se>)
	* ltmain.in: allow absolute non-existant -L paths,
	  always use output_objdir instead of objdir for temporary files,
	  delete generated temporary symbol lists,
	  don't add .la twice in the pseudo-library header,
	  implemented and documented clean mode (deletes libraries,
	  programs and object files and the files associated with them),
	  if build_libtool_libs=no and no static library is available,
	  try to link the program against the shared library,
	  don't add a statically linked library to the dependency_libs
	* ltmain.in (help uninstall): added a missing backslash
	  after echo (reported by Ossama Othman)

1999-04-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (old_archive_cmds): Iterate on oldobjs to find out
	which links to object files we must create.  Do not test for empty
	pic_flag to create such links.  Use objext when searching for
	object files extracted from convenience library.

	* ltconfig.in (compiler_c_o): Make sure the compiler does not
	create temporaries in the current directory when output should go
	elsewhere.  We must perform locking if it does.

1999-04-27  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in (old_archive_cmds): Ensure that there are always .o
	objects available before running old_archive_cmds.

1999-04-26  Erez Zadok  <ezk@cs.columbia.edu>

	* doc/PLATFORMS: Updates for netbsd 1.3.3 and 1.4.

1999-04-26  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (aix4.[01], always_export_symbols): The case pattern
	would never match; fixed.
	Reported by Stephan Kulow <coolo@itm.mu-luebeck.de>

1999-04-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (OBJDUMP): Pass it to ltconfig.
	* configure.in: AC_SUBST DLLTOOL, OBJDUMP and AS.
	* Makefile.am (libtool, clibtool): Pass them to ltconfig.

1999-04-25  Frank Ch. Eigler  <fche@cygnus.com>

	* libtool.m4 (cygwin*): Look for target objdump tool.
	* ltconfig.in (cygwin*, file_magic_cmd): Use autoconf-located target
	objdump tool.  Track OBJDUMP like DLLTOOL and AS.

	* ltconfig.in (cygwin*, deplibs_check_method): Accept
	"architecture: i386" as optional suffix, for it is printed on a
	separate line sometimes.

	* ltmain.in (cygwin*, ltdll.c): Wrap DllMain declaration in extern "C".

	* ltmain.in (deplibs_check_method=file_magic): Redirect stderr to
	/dev/null, to suppress error messages from target objdump.

1999-04-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (irix*, soname_spec, library_names_spec): Missing
	dots before $versuffix and $major.

	* ltconfig.in (solaris*, whole_archive_flag_spec): Use -z
	allextract/defaultextract from Solaris 2.6 on.
	Reported by Brian Ford <ford@vss.fsi.com>

	* ltconfig.in (beos*, allow_undefined_flag): Do not build shared
	libraries with undefined symbols.

	* ltconfig.in (aix4*, allow_undefined_flag): Set to -berok.
	(aix4*, shared_flag): Set to -shared or ${wl}-bM:SRE.
	(aix4*, archive_cmds): Use -bexpall.
	(aix4*, archive_cmds, archive_expsym_cmds): Use shared_flag and
	allow_undefined_flag.
	(aix4*, always_export_symbols): Set to yes up to AIX 4.1.*,
	because -bexpall is supported from 4.2 on.
	Reported by Greg Wooledge
	<ic5035%tss1crs.amgreetings.com@rose.amgreetings.com>

	* ltconfig.in (hpux*, hardcode_minus_L): Set to yes.
	(hpux*, hardcode_libdir_flag_spec): Do not use +s by default.
	(hpux*, shlibpath_overrides_runpath): Set to no.

	* ltconfig.in (irix*, osf*, archive_cmds): Write so_locations
	within objdir.

	* ltconfig.in (irix*, soname_spec): Append $major.
	(irix*, library_names_spec): Add new soname.
	Reported by David Kaelbling <drk@sgi.com>

	* ltconfig.in (irix*, sys_lib_dlsearch_path_spec): /usr/local/lib
	is not searched by default.  /usr/lib is searched before /lib.
	* ltconfig.in (irix*, sys_lib_search_path_spec): /usr/lib is
	searched before /lib.

	* ltconfig.in (irix5*, need_lib_prefix, need_version): Set to no,
	by unifying with irix6*.

	* ltconfig.in (irix*, osf*, deplibs_check_method): Use pass_all.

	* ltconfig.in (old_LDFLAGS, old_LIBS): Save and write to comments
	in output file.

	* ltmain.in (prefer_static_libs): New variable, set to no by
	default, but set to yes by -static and -all-static.  Used instead
	of build_libtool_libs to decide whether to use a shared or static
	version of a library, when both versions are available.

1999-04-25  Boyd Lynn Gerber  <gerberb@zenez.com>

	* ltconfig.in (sco3.2v5*): Use LD_RUN_PATH for hard-coding.

1999-04-25  Pavel Roskin  <pavel_roskin@geocities.com>

	* Makefile.am (uninstall-local): Remove installed libltdl tree.

1999-04-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* demo/Makefile.am (hc-direct, hc-libflag, hc-libpath, hc-minusl):
	Added CFLAGS to link commands; SCO OSR needs it for -belf.

	* TODO: -Wl and -Wc options.

1999-04-12  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c: Remove trivial warnings.

1999-04-22  Frank Ch. Eigler  <fche@cygnus.com>

	* ltconfig.in: Correct sed expression that extracts symbols
	from cygwin def files.  Ignore demangled C++ names, if any.

1999-04-12  John David Anglin  <dave.anglin@nrc.ca>

	* libltdl/ltdl.c (shl_close): shl_t was correct here...
	(shl_sym): ... but we have to pass the handle by reference here.

1999-04-12  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/libtool.texi (Invoking ltconfig): Document environment
	variables used.

	* doc/libtool.texi (Invoking ltconfig): Document --cache-file.

	* doc/libtool.texi (Invoking ltconfig): Document
	--disable-fast-install, --enable-dlopen, --with-gnu-ld and
	--disable-lock.

1999-04-11 Thomas Tanner  <tanner@gmx.de>

	* libltdl/configure.in: check for shl_load in libdld
	* libltdl/ltdl.c (shl_close, shl_sym): use (shl_t *) instead of shl_t
	* ltconfig.in (check for gcc): removed a bogus line,
	  check for shl_load in libdld
	* ltmain.in: added a warning to the header of the .la file
	  to warn users against deleting the file,
	  link shared against static libraries if
	  deplibs_check_method == pass_all

1999-04-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (AC_PROG_LD, AC_PROG_NM): When looking for programs,
	try $ac_exeext too, so that they're found on DJGPP/MS-DOS.
	* ltconfig.in: Likewise.
	Reported by Robert S. Maier <rsm@math.arizona.edu>

	* ltconfig.in (Usage): Removed --enable-dlopen-self.
	Reported by Pavel Roskin <pavel_roskin@geocities.com>

	* ltconfig.in: Moved sysv4 before sysv4.*.
	(symcode): Brian's overrider is specific to sysv4, not sysv4*.

1999-04-09 Thomas Tanner  <tanner@gmx.de>

	* NEWS, README: Motorola System V 4 support
	* doc/PLATFORMS: added mk88-motorola-sysv4
	* ltconfig.in: installed patch from Brian Ford <ford@vss.fsi.com>
	  to support mk88-motorola-sysv4

	* doc/libtool.texi: some cleanups in the libltdl documentation

1999-04-07  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (--fallback-echo): Do not put an inline document and
	an exec in the same if construct; otherwise the inline document
	may not be removed.
	* ltmain.in (--fallback-echo): Likewise.
	Reported by John David Anglin <dave.anglin@nrc.ca>

	* dryrun.test: It would still fail at random times, because `cp'
	and `mv' are not guaranteed to preserve the timestamps of the
	installed files.  Instead of preserving them, just remove them
	before the dry uninstall test.  Redirect dry-run output to stderr,
	so that it can be easily separated from the regular output.

1999-04-07 Thomas Tanner  <tanner@gmx.de>

	* NEWS: support for moved libraries
	* libtool.m4: another DJGPP fix

1999-04-07  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/PLATFORMS: Updated to 1.3 for all platforms I've got.  I'll
	make sure 1.3 won't be released unless it passes all tests on
	those platforms.

	* doc/libtool.texi (Compile mode): Document potential problem and
	work-around for `-c -o dir/foo.lo'.

	* tests/dryrun.test: The constant modifications of libtool would
	cause main.o to be updated at the wrong time; the new approach is
	to modify the libtool script so that it enables dry run depending
	on whether an environment variable is set or not.  I've also moved
	`after' and `before' to a directory deep within $objdir, instead
	of creating it in ../tests.
	* tests/Makefile.am (CLEANFILES): Removed.

1999-04-06  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* tests/dryrun.test: We cannot rely on setting LIBTOOL, because
	automake may use sub-makes, and the setting will not be propagated
	to them on some makes.  Instead, create a dry version of libtool
	and switch between it and the original one before and after dry
	runs.
	* tests/Makefile.am (CLEANFILES): Added libtool-*, created by
	dryrun.test.

	* tests/dryrun.test: Use cmp instead of diff.
	(before, after): Create them within ../tests.
	(libtool): Set to `/bin/sh ./libtool' by default, but use LIBTOOL,
	SHELL and top_builddir from the environment if available.  For dry
	runs, use "$libtool -n".
	* tests/Makefile.am (CLEANFILES): Added before and after.
	* ltmain.in: Do not create links to object files in dry runs.

1999-04-06 Thomas Tanner  <tanner@gmx.de>

	* ltmain.in: added a missing line of the ILD patch

	* NEWS: improved DJGPP support
	* doc/libtool.texi: removed hardcode_into_libs documentation
	* libtool.m4: some DJGPP fixes
	* ltconfig.in: ditto, reverted one of my previous patches: we need
	  to check for NM, removed the hardcode_into_libs support since
	  no platform seems to support it
	* ltmain.in: some DJGPP fixes, removed the hardcode_into_libs support

1999-04-05  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (netbsd*, GNU ld): Support a.out shared libraries

	* Makefile.am (CVS): allow command-line overriding of cvs

	* ltconfig.in (exclude_expsyms): Exclude _GLOBAL_OFFSET_TABLE_ by
	default, as most a.out platforms use it, and end up in trouble if
	we preload it, so it's safer to rule it out by default, and
	special case its removal from exclude_expsyms if someone ever
	complains.

1999-04-05 Thomas Tanner  <tanner@gmx.de>

	* doc/libtool.texi: reorder tests to reflect execution order,
	  documented dryrun.test and depdemo*
	* ltmain.in (lt_preloaded_symbols): dry-run mode bugfix
	* tests/dryrun.test: new test to check whether the dry-run
	  mode works properly

	* demo/run.test: removed the unnecessary test
	* demo/Makefile.am: ditto
	* ltmain.in: set the DLL search path on cygwin,mingw and os2

1999-04-04  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (sunos4*, GNU ld): -Bstatic is not enough for
	deplibs.test to work with GNU ld; -Bshareable is needed here.

	* ltconfig.in (ld_shlibs, amigaos*): Disable shared libs with
	native ld too.

	* ltconfig.in (sunos4*, GNU ld): Reordered.

	* ltconfig.in (archive_cmds, sunos4*): Revert to -Bstatic; the
	native linker doesn't even support -Bshareable, only GNU ld does.
	Do not use `gcc -shared' in archive_cmds, it breaks deplibs.test.

	* ltconfig.in: if ld_shlibs=no, set can_build_shared=no too,
	otherwise it will just be disregarded.  This would cause
	netbsd/m68k with GNU ld a.out, and certainly many other platforms,
	to incorrectly believe that shared libraries were supported, while
	archive_cmds was empty, causing shared libraries not to be created

1999-04-03  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* NEWS: improved support for AIX and HP/UX

1999-04-03 Thomas Tanner  <tanner@gmx.de>

	* NEWS: updated
	* libtool.m4: check for main in libm instead of cos
	* ltmain.in: cosmetic fixes, don't try to link libraries only once
	  (although it's not necessary on many platforms and looks ugly...),

1999-04-02  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (convenience): fixed race condition when more than one
	library was linked with the same convenience library by
	uniquifying the extract directory.  It is now named after the new
	library *and* the old one, and lives in the objdir of the new one.

	* ltmain.in (-L*): do not abort just because a directory specified
	with -L does not exist; just warn and discard it

	* depdemo/l1/Makefile.am (AUTOMAKE_OPTIONS): no-dependencies
	* depdemo/l2/Makefile.am (AUTOMAKE_OPTIONS): ditto
	* depdemo/l3/Makefile.am (AUTOMAKE_OPTIONS): ditto
	* depdemo/l4/Makefile.am (AUTOMAKE_OPTIONS): ditto

	* ltconfig.in (archive_cmds, sunos4*): where we used -Bstatic, we
	should have been using -Bshareable

	* demo/Makefile.am (CLEANFILES): clean EXTRA_* from deplibs-check

	* libtool.m4 (LDFLAGS, LIBS): pass them to ltconfig, for the tests
	that involve linking
	* Makefile.am (LDFLAGS, LIBS, libtool, clibtool): ditto
	* tests/Makefile.am (CFLAGS, CPPFLAGS, LDFLAGS, LIBS): set
	(LDFLAGS, LIBS, TESTS_ENVIRONMENT): pass them down

1999-04-02  Erez Zadok  <ezk@cs.columbia.edu>

	* doc/PLATFORMS: 1.2f ok on various versions of hpux cc

1999-04-02  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (link_all_deplibs): set to unknown by default
	* ltmain.in: test != no, not = yes
	* doc/libtool.texi: document unknown

1999-04-01 Thomas Tanner  <tanner@gmx.de>

	* doc/libtool.texi: documented deplibs.test

	* demo/Makefile.am: moved testsuite specific declarations to the end,
	  the deplibs check is now optional
	* libltdl/configure.in: read libtool --config only once,
	  merged AC_SYS_SYMBOL_UNDERSCORE+AC_SYS_NM_PARSE from libtool.m4
	* libtool.m4: AC_SYS_SYMBOL_UNDERSCORE+AC_SYS_NM_PARSE were not
	  used, lt_dlopen and silent may be empty, AC_SYS_LIBTOOL_CYGWIN
	  no longer necessary
	* ltconfig.in: NM is already checked in libtool.m4,
	* ltmain.in: always link all static dependency_libs
	* tests/Makefile.am: added deplibs.test
	* tests/demo-exec.test, demo-inst.test: removed hell0
	* tests/deplibs.test: new test to test the deplibs_check_method

1999-03-31 Thomas Tanner  <tanner@gmx.de>

	* ltmain.in: always link a library before its dependency libs
	* mdemo/Makefile.am: test -export-symbols-regex

1999-03-30 Thomas Tanner  <tanner@gmx.de>

	* doc/libtool.texi: fixed a typo
	* libtoolize.in: add the libtool scripts to libltdl.tar.gz
	* libtool.m4: don't AC_SUBST(USE_SYMBOL_UNDERSCORE),
	  AC_CHECK_LIBM sets LIBM, AC_LIBLTDL_INSTALLABLE doesn't work
	  when libltdl is already installed
	* *demo/Makefile.am: use LIBM
	* *demo/configure.in: AC_SUBST LIBM
	* libltdl/configure.in: use ac_cv_sys_symbol_underscore instead of
	  USE_SYMBOL_UNDERSCORE
	* ltconfig.in: added link_all_deplibs variable
	* doc/libtool.texi: document it
	* ltmain.in: always search for libname.la - don't eval libname_spec,
	  when linking libraries against static ones just print a warning
	  and add them to dependency_libs, add -lc before deplibs,
	  always link all dependencies of a static library or if
	  link_all_deplibs is yes, hardcode library paths if
	  hardcode_into_libs is no, don't link against dependency_libs
	  that already are deplibs

1999-03-30  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (aix4*, collect2name): make sure collect2 exists
	before running string on it, to avoid errors on old gccs
	Reported by Erez Zadok <ezk@cs.columbia.edu>

	* ltconfig.in (aix4*, hardcode_libdir_flag_spec): unless we're
	using gcc with old collect2, use -b libpath to hardcode the
	library search path

	* ltmain.in, ltconfig.in: reverted most of the quoting changes
	from 1999-03-25; Gary's delay_variable_subst patch from 1999-02-19
	obviates it.  Keep only quoting of $PATH, for uniformity with
	other systems that already did it

1999-03-29  Gary V. Vaughan  <gary@gnu.org>

	* libltdl/ltdl.c (lt_dladdsearchdir): Forgot to mallocate the
	extra byte of memory for the teminating NUL, and forgot to
	strcpy the original path in to the new memory before appending
	the new path compononent.

1999-03-27 Thomas Tanner  <tanner@gmx.de>

	* NEWS: updated
	* README: updated (BeOS support, no longer shared libraries
	  support for AmigaOS), cleanups, we have now two mailing lists
	* REAMDE-alpha: autogen -> bootstrap, we have now two mailing lists
	* THANKS: added Xavier Pianet
	* doc/PLATFORMS: BeOS works
	* doc/libtool.texi: we have now to two mailing lists,
	  updated -dlopen self documentation, documented libltdl's license,
	  put each author in a separate line,
	  inter-library dependencies on uninstalled libtool libraries are
	  now supported, cleanups and minor corrections
	* libltdl/COPYING.LIB: new file
	* libltdl/ltdl.[ch]: added special exception to the LGPL license
	* libtool.spec: removed, it was outdated
	* Makefile.am: removed libtool.spec
	* ltmain.in: use TMPDIR when possible, create a subdirectory
	  in the temporary directory, added -export-symbols-regex to the help,

1999-03-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* demo/Makefile.am: create a static library, link two libtool
	archives with it, then link the program hell0 with both
	* demo/hell1.c, demo/hell2.c: dummy files used to create the
	libtool archives without introducing symbol conflicts
	* tests/demo-exec.test, tests/demo-inst.test: run the new program
	* ltconfig.in (irix5*, irix6*, deplibs_check_method): pass_all

	* ltmain.in ($PATH): instead of modifying the PATH, better prevent
	its expansion the first time *_cmds variables are eval'ed.  Modify
	$show within loops that eval them so as to expand variables
	* ltconfig.in (*_cmds): quote $ so that they're not expanded by
	the first eval

1999-03-25  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in ($PATH):  Expand any tildes in the users path to the
	contents of $HOME to avoid problems with *_cmds splitting and
	evaluation.

1999-03-24 Thomas Tanner  <tanner@gmx.de>

	* TODO: support -dlopen for libraries
	* doc/PLATFORMS: Erez Zadok reported that libtool works on bsdi 4.0.1
	* doc/libtool.texi (libltdl): libltdl supports BeOS
	* libltdl/ltdl.c: shlib_ext was declared even if LTDL_SHLIB_EXT
	  didn't exist, partially reverted my previous patch: BeOS will
	  automatically search in ADDON_PATH
	* ltmain.in: don't allow relative run-paths, fixed a typo in a warning,
	  ignore -dlopen self for libraries and objects,
	  only accept -L paths that exist, minor cleanups,
	  bugfix: add -lc for normal libraries, not convenicence libraries
	  removed offensive warnings/comments

1999-03-24  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (ld_shlibs, amigaos*): disable shared libraries

1999-03-23  Gary V. Vaughan  <gary@gnu.org>

	* libltdl/configure.in: the sed expression for finding the shared
	library extension used to think the . in [.] for the cygwin
	shared_library_names_spec was the start of the extension!!  We now
	remove anything in square brackets (assuming that the square
	brackets delimit a sed or expr expression which is not part of the
	extension) before looking for the extension.

	* TODO (cygwin):  food for thought re: mutually dependant dlls.

1999-03-21  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* tests/build-relink.test: if we relink and have hardcode_direct,
	removing an uninstalled library breaks an uninstalled program

	* doc/libtool.texi: documented convenience libraries
	* TODO: removed entry about it

	* tests/*-unst.test: if directory is not configured, skip it
	* tests/demo.test, tests/mdemo.test: unused, removed
	* tests/depdemo.test: ditto

1999-03-20 Thomas Tanner  <tanner@gmx.de>

	* doc/libtool.texi (link mode): documentation for -module updated
	* ltconfig.in: fast-install mode doesn't work for
	  hardcode_into_libs=yes
	* ltmain.in: bugfix: "-dlopen self [-all]-static" wouldn't use
	  dlopen_self_static, automatically enable -export-dynamic when
	  using "-dlopen self",	always make run-paths absolute,
	  ignore -lc only on platforms that don't have such a library,
	  cleanups in the ILD code, find even installed libtool libraries
	  that were moved, before generating the DLL-import library we need
	  to set libname, improved hardcoding of shlibpath for libraries,
	  don't generate an installable pseudo-library for convenience
	  libraries, bugfix: export_symbols would be removed immediately
	  before it is used

1999-03-19 Thomas Tanner  <tanner@gmx.de>

	* use the same header in all configure.in's and Makefile.am's
	* NEWS: improved support for BeOS and Cygwin
	* TODO: ILD branch was merged, all internal variables and macros
	  are now documented
	* demo/Makefile.am: use $(LIBS) instead of -lm
	* doc/libtool.texi: documented new variable hardcode_into_libs
	  and thread_safe_flag_spec, renamed all AM_ENABLE/DISABLE_* macros
	  to AC_*, documented AC_DISABLE_FAST_INSTALL and AC_LIBTOOL_DLOPEN
	* libltdl/ltdl.c: added two new error messages (cannot_open_error,
	  cannot_close_error), use them where approriate,
	  BeOS support (thanks to Xavier Pianet), on BeOS search modules
	  additionally in ADDON_PATH
	* libtool.m4: rewrote AC_CHECK_LIBM: BeOS and Cygwin don't have
	  libm and *-ncr-sysv4.3* requires libmw
	* ltconfig.in: don't check for LoadLibrary, hardcode dlopen
	  configuration for BeOS and Cygwin
	* ltmain.in: fix sourcing of .la files on Solaris
	  (patch by Raja R Harinath)

1999-03-19  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (sunos4*, with_gnu_ld, hardcode_minus_L): remove,	we
	have -rpath
	(aix4*, without_gnu_ld, hardcode_shlibpath_var): unsupported is
	default
	(hpux9*, hpux10*, hpux11*, archive_cmds): drop +s, unneeded here
	(hpux9*, hpux10*, hpux11*, hardcode_libdir_flag_spec): add +s
	before +b
	(hpux9*, hpux10*, hpux11*, shlibpath_overrides_runpath): since +s
	appears before +b, set it to yes
	(hardcode_shlibpath_var, hardcode_action): do not use
	shlibpath_var to specify the compile-time search path; it loses,
	and we may end up linking with pre-installed older versions of
	libraries instead of yet-to-be-installed ones
	(*, hardcode_direct, hardcode_minus_L): remove entries that set
	them to no, that is default

	* demo/Makefile.am (hc-direct, hc-libpath, hc-minusL): link with
	$$hardcode_libdir_flag_spec, if available, with libdir=$(libdir),
	to make sure the hardcode_* variables will produce the expected
	results even in the presence of a hardcoding flag; depend on
	libhello.la having been installed already
	(hc-libflag): link with the installed library, but try to
	hard-code the uninstalled one
	* doc/libtool.texi: document the changes

	* tests/*.test: when a test fails, skip tests that depend on it.
	If a certain configuration is not supported, skip all its tests.

	* doc/libtool.texi: reorder tests to reflect execution order

	* tests/noinst-link.test: new test
	* tests/Makefile.am (TESTS): added noinst-link.test
	* doc/libtool.texi: document it

1999-03-19  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in (dependency_libs): There is no reason to infer that
	the pseudo library is invalid if dependency_libs='' at
	install-time, or else libltdl/libltdl.la is invalid!!

1999-03-18  Thomas Tanner  <tanner@gmx.de>

	* merged my inter-library dependencies code from the ILD branch:
	* NEWS: inter-library dependencies are now supported
	* configure.in: add the depdemo subdirectory
	* depdemo/*: new demo to demonstrate inter-library dependencies
	* tests/depdemo*: new tests for depdemo
	* ltconfig.in: added hardcode_into_libs (whether library paths
	  should be hardcoded into the libraries),
	  it currently defaults to 'no'
	* ltmain.in: new internal 'relink' mode to relink libraries
	  on platforms with hardcode_into_libs=yes, save command line
	  arguments in libtool_args, accept relative -L directories,
	  ignore -lm on BeOS and Cygwin, always ignore -lc,
	  handle -l, -L and .la arguments later, always make the library
	  installation directory (-rpath) absolute, in relink mode don't
	  delete the not-relinked library and exit immediately after relinking,
	  try to find already-installed libtool libraries that were specified
	  using -l, support hardcoding of library paths into libraries too,
	  export shlibpath before linking libraries, and a lot of other
	  big changes that I don't want to describe here... please read
	  the source.

	* merged Gary's Win32 code from the ILD branch:
	* NEWS: Win32 DLLs are now supported
	* TODO: removed .a library namespace clash for win32.  It is
	  now resolved.
	* ltconfig.in (cygwin, library_names_spec):  removed $libname.a.
	  Creating a dll with libtool no longer creates an import library.
	* ltconfig.in (extract_expsyms_cmds): Create $objdir if it does
	  not exist -- i.e. we need to generate import an import library
	  in a directory which has no libs of its own.
	* doc/libtool.texi (old_archive_from_expsyms_cmds,
	  extract_expsyms_cmds): documented these new variables.
	* ltconfig.in (extract_expsyms_cmds): New variable.  Commands to
	  extract the exported symbol list from a dll.
	  (old_archive_from_expsyms_cmds): New variable.  Commands to build
	  an old archive from the extracted expsyms list.
	* ltmain.in: run the cmds in extract_expsyms_cmds and
	  old_archive_from_expsyms_cmds as necessary.
	* ltconfig.in (cygwin, old_archive_from_new_cmds): no longer
	  required.
	* ltconfig.in (cygwin, shlibpath_overrides_runpath): I'm not even
	  sure whether win32 honours the runpath at all when searching for
	  a dll to load!  Anyway, when set to yes this prevents a gratuitous
	  warning.
	* ltmain.in (deplib): The cygwin environment doesn't actually have
	  -lm, and although the linker fakes having one, specifiying it to
	  libtool will break ILD, so we ignore it when generating
	  dependencies.

1999-03-17  Gary V. Vaughan  <gary@gnu.org>

	* doc/PLATFORMS: Thanks to Alexandres changes below, both my
	hp boxes pass the entire test suite.

1999-03-17  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (hpux*, hardcode_minus_L): should be no, we have +b
	(hpux*, hardcode_libdir_separator): set to colon

1999-03-17  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/PLATFORMS: egcs is gcc; updates from Erez Zadok

1999-03-16  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (deplibs, beos*): don't append -lc
	Reported by Xavier Pianet <xavier@xingo.com>

	* tests/build-relink.test (hardcode_action): when set to relink,
	skip the test with lt-hell

	* Makefile.am (EXTRA_DIST): add mkstamp
	Reported by Xavier Pianet <xavier@xingo.com>

	* Makefile.am (EXTRA_DIST): add ChangeLog.0

1999-03-16  Thomas Tanner  <tanner@gmx.de>

	* doc/libtool.texi: some minor corrections to the "-dlopen self"
	  documentation
	* tests/Makefile.am: sorted by name, added assign.test
	* ChangeLog: started new file

	* ltconfig.in: some cosmetical changes
	* ltmain.in: ditto

1999-03-15  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* configure.in, libtool.spec, NEWS: bump to 1.3a
	* Branched for release 1.3 (branch-1-3)
	* configure.in, libtool.spec, NEWS: bump to 1.2g

	* configure.in, libtool.spec: bump to 1.2f
	* doc/PLATFORMS: ditto
	* NEWS: libtool 1.2f released

	* ltmain.in: silence ``unbug'' :-) detected by sh.test

1999-03-14  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* TODO: we now use full pathnames for `file'

1999-03-14  Thomas Tanner  <tanner@gmx.de>

	* TODO: libltdl is now documented
	* doc/libltdl.texi (linking with installed libtool libraries):
	  fixed typo
	* doc/libltdl.texi (libltdl): added documentation for building
	  libtool modules and examples how to embed libltdl
	* ltmain.in: don't ignore user-specified run-paths (fixed it
	  at the right place)

1999-03-14  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (deplibs_check_method=none): discard -L and -R
	switches when testing whether deplibs contains some library

1999-03-14  Erez Zadok  <ezk@cs.columbia.edu>

	* config.sub: recognize hppa2.0w, yet to be installed at GNU

	* config.guess: minor update for FreeBSD-elf, yet to be installed
	at GNU

1999-03-14  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (bsdi4*, sys_lib_search_path_spec,
	sys_lib_dlsearch_path_spec): fix thinko in variable names; add
	standard directories

	* ltmain.in (exclude_expsyms): exclude symbols before sorting,
	otherwise only the sorted list will have them excluded

	* ltconfig.in (file_magic_cmd, file_magic_test_file, freebsd-elf*,
	bsdi4*): use full pathnames when possible

	* Makefile.am (all-recursive): depend on ACINCLUDE_M4_LIST
	(all-local, check-local): remove, unused

	* doc/PLATFORMS: updated platforms tested on 1.2f-pre; clean up;
	reorder; untabify

	* config.guess, config.sub: updated from GNU common

	* doc/libtool.texi: notes on thread-safety problems of
	libltdl/dlopen on GNU/Linux and FreeBSD

	* ltconfig.in (aix3*, aix4*): GNU ld on AIX is very broken: it
	cannot create working shared libraries.  Print a warning
	suggesting the user not to use it and disable shared libraries.

1999-03-13  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (global_symbol_to_cdecl): was reset before trying
	`symprfx=_', rendering the test with `_' useless

	* doc/libtool.texi (AM_PROG_LIBTOOL): eliminate overfull boxes

	* doc/libtool.texi: complete dlopening/libltdl documentation

	* ltconfig.in (osf3*, osf4*, deplibs_check_method): pass_all does
	not really work; use file_magic instead.
	(osf3*, osf4*): customize sys_lib_[dl]search_path_spec

	* ltconfig.in (file_magic_test_file): new variable; if set, it
	will be used as an argument for $file_magic_cmd to test whether
	the regex in deplibs_check_method matches its output
	(file_magic_cmd): use full pathnames whenever possible

	* ltconfig.in (sys_lib_dlsearch_path_spec): new variable, that
	lists the system *run-time* search path.  Listed directories are
	not implicitly hard-coded into executables.
	* ltmain.in: use it, but *never* discard -R flags
	* doc/libtool.texi: document it
	* NEWS: ditto
	Reported by Bob Friesenhahn <bfriesen@simple.dallas.tx.us>

	* tests/sh.test: look for `$Xsed' without `$echo "X...'
	* ltconfig.in, ltmain.in: fixed a few such occurrences

	* ltmain.in (-static, -all-static): revert March 11's patch, I was
	barking up the wrong tree

1999-03-12  Thomas Tanner  <tanner@gmx.de>

	* libltdl/ltdl.c: removed FILENAME_MAX since LTDL_FILENAME_MAX
	  is sufficient and doesn't break HP/UX

1999-03-11  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in: (global_symbol_pipe) extract symbol tag from the
	output of NM too
	(global_symbol_to_cdecl): new variable; convert the output of
	global_symbol_pipe to valid C declarations; on HP/UX, convert
	text symbols to function declarations
	* libtool.m4: similar modifications
	* doc/libtool.texi: document new variable
	* ltmain.in: use global_symbol_to_cdecl to generate lt_dlpreopened
	symbols; avoid extracting symbol lists from dlpreopened files
	twice; do not filter symbols from dlpreopened libraries
	* TODO: fixed HP/UX dlpreopening problem

	* ltmain.in (-static, -all-static): set dlopen_self to
	$dlopen_self_static regardless of link_static_flag or pic_flag

	* ltmain.in: FreeBSD bug that needs symbol table compiled with
	-fPIC is fixed in release 3.1; use it only for 2.* and 3.0

1999-03-11  Thomas Tanner  <tanner@gmx.de>

	* ltmain.in: when building a library it doesn't make
	  sense to remove a relinked program ("lt-" prefix)

1999-03-11  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* mdemo/main.c (main, test_dl, test_dlself): propagate error
	conditions better, to avoid false positives

	* */configure.in: AC_SUBST(LIBTOOL_DEPS)
	* */Makefile.am $(OBJECTS): depend on libtool
	(libtool): rebuild automatically

	* ltconfig.in: set dlopen_* variables to unknown when appropriate
	* ltmain.in: only emit warning about lack of AC_LIBTOOL_DLOPEN if
	*all* dlopen_* variables are set to unknown

1999-03-11  Thomas Tanner  <tanner@gmx.de>

	* ltmain.in: delete the old output files (incl. the relinked binary)
	  before linking.

	* ltconfig.in: replaced `configure' with $progname and all
	  line numbers with @LINENO@

1999-03-11  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (strdup): cannot return str when it's NULL
	because of const correctness

1999-03-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (strdup): always use our own, because the
	standard strdup won't use lt_dlmalloc

	* ltconfig.in (dlfcn.h): function definition may cause warnings;
	define variable instead

	* ltmain.in: properly create an export file for a program,
	avoiding error messages about not finding it

	* TODO: need to document AC_LIBLTDL_*; static self dlopening
	problem fixed

	* libtool.m4 (AC_LIBTOOL_DLOPEN): just set lt_dlopen=yes
	(AC_LIBTOOL_SETUP): if lt_dlopen=yes, add --enable-dlopen to
	libtool_flags; drop --enable-dlopen-self
	* ltconfig.in: perform all the dirty work of testing for dlopening
	support, because we need platform-dependent equivalents for
	-export-dynamic, for self dlopening, and -static, for static self
	dlopening
	(dlopen_self_static): new configuration variable that is set to
	yes only if static programs can dlopen themselves
	* ltmain.in (-static, -all-static): dlopen_self=dlopen_self_static

	* libltdl/configure.in (libltdl_cv_need_uscore): do not assume
	dlfcn.h and LTDL_LAZY exist; use LTDL_GLOBAL and LTDL_LAZY_OR_NOW.
	This test is likely to fail if self-dlopening does not work,
	especially because we do not link the program with
	-export-dynamic.  Let's just hope that platforms whose symbol
	names start with underscores will also accept underscores for
	dlopen.  We should probably use libtool to compile and link this
	test, so that we can use -export-dynamic.

	* mdemo/Makefile.am (@LIBLTDL@): depend on ../libltdl/config.h

	* configure.in: fix AC_OUTPUT_COMMANDS for ltconfig and ltmain.sh
	so that they work if srcdir is relative too

	* libtool.m4 (AC_LIBLTDL_INSTALLABLE, AC_LIBLTDL_CONVENIENCE):
	avoid introducing multiple --enable options when re-running
	config.status
	* libltdl/configure.in: if enable_ltdl_* is not set, assume no
	* configure.in: if enable_ltdl_install is not set, enable it

	* libltdl/configure.in: only assume implicit installation if
	libltdl was libtoolized.  If not, print a warning message
	suggesting the use of --enable-ltdl-install or of one of the
	AC_LIBLTDL_* macros.

	* libtool.m4 (AC_LIBTOOL_SETUP): new macro, that does all the
	configure-work that AC_PROG_LIBTOOL used to do; add
	--cache-file=$cache_file to libtool_flags
	(AC_PROG_LIBTOOL): call AC_LIBTOOL_SETUP, save the cache, run
	ltconfig and reload the cache
	* configure.in: run AC_LIBTOOL_SETUP, then set LIBTOOL_FLAGS to
	libtool_flags
	* ltconfig.in: support --cache-file switch.  If it is used, load
	the cache in the beginning and save it just before terminating

	* tests/Makefile.am (TESTS): run demo-nofast before demo-shared

	* configure.in: create ltconfig and ltmain.sh at the end of
	config.status, if they do not exist.  This fixes the bootstrap
	problem reported by Erez Zadok <ezk@cs.columbia.edu>

1999-03-10  Thomas Tanner  <tanner@gmx.de>

	* NEWS: sorted by importance
	* Makefile.am: set LIBTOOL_FLAGS when generating libtool
	* configure.in: check for dlopen support and set LIBTOOL_FLAGS
	  accordingly

	* configure.in: fix spacing for --disable-ltdl-install,
	  always configure libltdl, add libltdl/acinclude.m4 to
	  ACINCLUDE_M4_LIST, disable installation of libltdl if necessary
	* libltdl/Makefile.am: set version info for libltdl.la
	* libltdl/configure.in: don't check whether
	  enable_ltdl_convenience/install was set so that libltdl
	  can be used as independent package (libltdl.tar.gz) without
	  the need to use --enable-ltdl*
	* libltdl/ltdl.c: minor cleanups, allocate the line cache
	  dynamically (lt_dlopen)

1999-03-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (lt_dlopen): some preprocessors choke if the `#'
	of `#define' is not in column 1; let's go back to fortran! :-)
	Add #undefs too, to avoid potential warnings or errors.

1999-03-09  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (AC_LIBLTDL_INSTALLABLE, AC_LIBLTDL_CONVENIENCE):
	renamed convenience libltdl, dropped toinst hack for installable
	* libltdl/Makefile.am: ditto
	* libltdl/configure.in: ditto; abort if none of the macros is used

	* ltmain.in: $output_objdir/$objdir/ -> $output_objdir/lt-

1999-03-09  Thomas Tanner  <tanner@gmx.de>

	* libltdl/ltdl.c (lt_dlopen): don't hardcode the length of the
	  constant strings

1999-03-09  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.am (install-data-hook): install libltdl as a directory,
	not as a tar-file, so that we do not modify the build tree at make
	install time
	* libtoolize.in (ltdl, ltdl_tar): update

	* configure.in, Makefile.am, NEWS: install libltdl by default

	* libtool.m4 (AC_LIBLTDL_INSTALLABLE, AC_LIBLTDL_CONVENIENCE):
	new macros
	* NEWS: ditto
	* libltdl/configure.in: if none of the new macros or configure
	arguments are used, warn and build convenience library only
	* libltdl/Makefile.am: conditionally build convenience libltdl.la
	* mdemo/configure.in: use AC_LIBLTDL_CONVENIENCE
	* mdemo/Makefile.am: refer to @LIBLTDL@

1999-03-09  Gary V. Vaughan <gary@gnu.org>

	* NEWS: updated.

1999-03-08  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in: extract symbols from program objects to nlist first,
	then translate them to the export_symbols format.  Now it works,
	but it appears to be needlessly extracting the symbol list from
	dlpreopened libraries twice

	* ltmain.in: temporarily disable dlopen_self when linking with
	-static or -all-static, until we figure out how to test whether it
	works at configure time

	* TODO: remember to fix this later

	* tests/build-relink.test: when hell is expected to fail, run it
	within a subshell and redirect stderr to stdout, so that dynamic
	linker errors are only printed in verbose mode

	* ltmain.in (hardcode_libdir_separator, compile_rpath,
	finalize_rpath): only substitute hardcode_libdir_flag_spec if
	hardcode_libdirs is non-empty

	* libtool.m4 (AC_LIBTOOL_DLOPEN): do not depend on the existence
	of dlfcn.h nor on the definition of RTLD_LAZY

	* tests/build-relink.test: hellT was renamed to lt-hell

	* libltdl/Makefile.am (@TOINST@/libltdl.la): do not hide the
	command that creates the TOINST directory; remove `-o $@' from the
	LINK command, $(LINK) already contains it.

1999-03-08  Thomas Tanner  <tanner@gmx.de>

	* doc/libtool.texi (tests): documented demo-nofast.test and
	  renamed cdemo* to demo*

1999-03-08  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/Makefile.am, libltdl/configure.in, mdemo/Makefile.am:
	libltdl must not be renamed; if there's a problem with the install
	option, let's fix it, not just work around it by breaking code of
	users of the convenience library

	* tests/build-relink.test: link broken libhello.la with at least
	one libtool object

1999-03-08  Thomas Tanner  <tanner@gmx.de>

	* TODO: updated (libltdl build problem fixed)
	* doc/libtool.texi (libltdl interface): removed the line which
	  promised that lt_dlopen will return NULL if it can't resolve all
	  symbols
	* libltdl/Makefile.am, libltdl/configure.in: fixed build problem:
	  renamed the convenience library to libltdlc.la and the
	  installed version to libltdl.la
	* ltmain.in (wrapper script): replaced the "T" suffix of the program
	  file name with a "lt-" prefix
	* mdemo/Makefile.am: use libltdlc.la
	* tests/Makefile.am, tests/demo-nofast.test: added demo to
	  test --enable-fast-install=no

1999-03-07  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* tests/Makefile.am (TESTS): run hardcode before build-relink
	trashes libhello.la
	* tests/hardcode.test (need_prefix): set to yes so that _inst is
	not removed

	* ltmain.in (compile_command): append finalize search path to
	compile search path

	* tests/build-relink.test: new; check shlibpath_overrides_runpath
	* tests/Makefile.am (TESTS): add build-relink.test; remove
	hardcode.test duplicates
	* doc/libtool.texi: document it

	* ltmain.in (relink_command): do not prepend cd `pwd` to it, the
	scripts already enters the correct directory, and expanding the
	pathname would prevent the build tree from moving

	* ltconfig.in (enable_fast_install): force it to no only if we
	need relink; in the other cases, set it to needless
	* ltmain.in (fast_install): if needless, set relink_command empty
	* doc/libtool.texi (fast_install, shlibpath_overrides_runpath):
	document the new behavior

	* ltconfig.in (enable_fast_install): test whether it can be forced
	off after shlibpath_overrides_runpath and enable_shared are set

1999-03-07  Thomas Tanner  <tanner@gmx.de>

	* TODO: updated
	* NEWS: updated

	* TODO: scheduled some items for next release/future
	* demo/configure.in: use AC_LIBTOOL_DLOPEN
	* libtool.m4: added AC_ENABLE/DISABLE_FAST_INSTALL macro
	* ltconfig.in: added --disable-fast-install flag
	* ltmain.in: partially reverted Alexandre's patch and implemented
	  on-demand linking in such a way that the old developer-friendly
	  linking style is optional,
	  don't hardcode library paths that are in the system search path,
	  fixed a typo in lib_search_path,
	  implemented -export-symbols-regex for programs

1999-03-06  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (LTDL_LAZY_OR_NOW): renamed from LTDL_NOW; prefer
	LAZY loading because it's much faster and NOW is apparently
	partially broken on FreeBSD
	Reported by Archie Cobbs <archie@whistle.com>

	* ltconfig.in (archive_expsym_cmds, solaris, without_gnu_ld):
	$lib.exp already starts with $objdir/
	Reported by Godmar Back <gback@cs.utah.edu>

	* ltmain.in (freebsd): compile symbol table file with pic_flag
	only on FreeBSD and when not static linking; it's been causing
	trouble on platforms such as OpenBSD.

1999-02-26  Gary V. Vaughan  <gary@gnu.org>

	* libtool.m4 (cygwin): s/\\(mingw\\|cygwin\\)32/\\1/g.  Must've
	missed this file when I changed to cygnus' new sanction name.

	* ltconfig.in (sub_uncdrive): removed.  This won't work with
	the next version of cygwin.
	(sub_uncdir): removed. We use <drive>:/path/to/executable now.
	* libtool.m4 (AC_PROG_LD): removed sub_uncdrive and sub_uncdir.

1999-02-25  Thomas Tanner  <tanner@gmx.de>

	* TODO: added items for next alpha release, ILD etc.
	* libltdl/ltdl.c: removed unnecessary check from presym_sym,
	  fixed bug in lt_dlclose, allow lt_dlopenext(NULL),
	  set deplibs for lt_dlopen(NULL)

1999-02-24  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (file_magic_regex): sed `10q' is faster than `11,$d'

1999-02-22  Thomas Tanner  <tanner@gmx.de>

	* ltconfig.in (dlopen, dlopen_self): default is unknown
	* ltmain.in: fixed -dlopen self, print a warning
	  if -dlopen is used without AC_LIBTOOL_DLOPEN
	* mdemo/Makefile.am: use -dlopen self

1999-02-22  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in: added missing mkdir $progdir for on-demand executable

	* ltmain.in: create on-demand executable as $progdir/$$-$program,
	and rename it to $progdir/$program only when it's finished, to
	avoid race conditions.  We can still get the program linked
	multiple times, if multiple instances are started simultaneously
	and the program does not exist, but they are very unlikely to
	interfere with each other.  There's still a possibility that one
	process removes the $program another has just created, and doesn't
	replace it before the other tries to run it, in a system whose
	`mv' is not atomic, so it will $rm then $mv, but so what? :-)
	Locking files have been avoided to prevent dead-locks in case they
	are left over after a reboot or crash.

	* TODO: removed ILD, soon to be merged, and added convenience
	libraries docs

	* ltconfig.in (irix5*, irix6*, shlibpath_overides_runpath): yes

	* ltmain.in: remove on-demand executable in the proper place, and
	just warn if it can't be removed; add wrapper code to test whether
	the install-executable is newer than the build-executable, to
	relink it when it appears to be out-of-date

	* libltdl/configure.in: check for dld.h
	* libltdl/ltdl.c: include dld.h
	(dld_open) it's spelled memory_error, not no_memory_error
	Reported by Stefan Burstroem <f94sbu@efd.lth.se>

	* ltmain.in: fix typos in my last change (s/ocmpile/compile/)

1999-02-21  Thomas Tanner  <tanner@gmx.de>

	* libltdl/ltdl.c (lt_dlopen): use newhandle instead of handle
	  when dlopening the executable
	* libtool.m4 (AC_LIBTOOL_DLOPEN): removed the redundant "yes: "
	  prefix for lt_cv_dlopen, renamed lt_cv_dlopen_LIBS
	  to lt_cv_dlopen_libs (more consistent)
	* ltmain.in: implemented -dl[pre]open self, necessary for
	  lt_dlopen(NULL), generation of exported symbols was broken

1999-02-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in: avoid duplication of -L switches, it sometimes breaks
	IRIX 5.2's linker

	* ltconfig.in (freebsd*, finish_cmds): expand objformat here
	Reported by Vladimir Kushnir <kushn@mail.kar.net>

1999-02-20  Vladimir Kushnir <kushn@mail.kar.net>

	* ltconfig.in (freebsd-elf*, need_version, need_lib_prefix): no
	(freebsd-elf*, library_names_spec): add $libname.so instead of
	$libname.so$versuffix; add $libname$release.so

1999-02-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/libtool.texi: remove ticks from menu items; it breaks TeX
	Reported by Erez Zadok <ezk@cs.columbia.edu>

	* ltmain.in: fixes for export-symbols dry-run

	* ltconfig.in (shlibpath_overrides_runpath): new variable;
	determines whether LD_LIBRARY_PATH or equivalent can be used to
	override a hard-coded library search path; default to unknown
	(linux-gnu*): set it to no
	(solaris*, sunos4*): set it to yes
	* ltmain.in (build_libdirs_flags, build_libdirs, build_rpath): if
	shlibpath_overrides_runpath is not yes, arrange that wrapper
	scripts create, on demand, programs that use uninstalled libraries

	* doc/libtool.texi: document it

	* libtool.m4 (AC_LIBTOOL_DLOPEN): check for dlopen in libc before
	trying in dl.  Add the actual dlopening type to lt_cv_dlopen, and
	add any needed libraries to lt_cv_dlopen_LIBS.  Add test for
	MS-Windows' LoadLibrary.  Check whether a program can dlopen
	itself only if we really have dlopen(), not some equivalent
	function, but leave room for testing with other mechanisms.
	(AC_PROG_LIBTOOL): assume some form of dlopen, but not
	dlopen(NULL), is available if AC_LIBTOOL_DLOPEN is not used, for
	backward compatibility.

1999-02-20  Archie Cobbs  <archie@whistle.com>

	* libltdl/ltdl.c (lt_dlopen): use newhandle instead of handle
	where appropriate, when dlopening a non-libtool library

1999-02-19  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (export_symbols_cmds): renamed from
	export_symbols_cmd.
	(cygwin, mingw): Be sure to compile the ltdll.c object before
	extracting the exported symbol list.  Extract only the names
	of the exported symbols from the def file [otherwise we might
	run into trouble with -export-symbols-regex].
	(archive_expsym_cmds): Regenerate the def file from the symbol
	export list.
	(delay_variable_subst): New sed expression to allow us to delay
	evaluation of $foo in a double_quote_subst evaluated variable by
	using \$.
	* ltmain.in (export_symbols_cmds): evaluate each ~ delimitted cmd
	separately.
	* doc/libtool.texi (libtool script contents): new paragraph to
	explain the difference between _cmd and _cmds suffixes for
	variable names.
	(export_symbols_cmds): renamed from export_symbols_cmd.

1999-02-18  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (ld_shlibs): move -soname and similar flags to the
	end of archive_cmds and archive_expsym_cmds, so as to prevent
	gcc's collect2 from inserting an object file between -soname and
	the library name

	* ltconfig.in (openbsd*, netbsd*, library_names_spec): append
	alternate name without ${release}, otherwise build fails when
	-release is used

1999-02-18  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in (archive{,_sym}_commands): Be careful not to
	re-export the dll entry points DllMain@12, _cygwin_dll_entry@12 and
	_cygwin_noncygwin_dll_entry@12 to avoid bugs with the wrong entry
	function being called with inter-dll dependencies.
	Reported by DJ Delorie <dj@delorie.com>
	* THANKS: Added DJ Delorie, since his code inspired the impgen.c
	program and because he has patiently answered all of the
	irritating dll and win32 questions I have fired at him.

	* ltmain.in (version_type):  Oops.  Irix versioning implies that
	major version numbers are 1 based (not zero based).  Fixed.

	* ltmain.in (version_type): Implement irix versioning.
	* ltconfig.in (irix{5,6}*): Use new irix shared object versioning.
	* TODO: remove irix versioning from TODO list.

	* ltmain.in (impgen.c): Added a new embedded C file that can be
	used under win32 to extract a def file (symbol export list) from a
	dll that has none.  Code to use it might need to wait for the ILD
	merge before it will be useful...

1999-02-18  Thomas Tanner  <tanner@gmx.de>

	* TODO: updated
	* autogen: only libltdl needs autoheader
	* doc/libtool.texi (link mode): documented -export-symbols-regex
	  and updated -export-symbols
	* doc/libtool.texi (script contents): documented
	  always_export_symbols, export_symbols_cmd, exclude_expsyms,
	  include_expsyms, dlopen and dlopen_self
	  more detailed description of need_lib_prefix
	* ltconfig.in: a "'" was missing in the default value
	  of export_symbols_cmd
	* ltmain.in: implemented -export-symbols-regex

1999-02-17  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in: (freebsd2*, sunos4*, exclude_expsyms): exclude
	_GLOBAL_OFFSET_TABLE_
	* ltmain.in: implement exclude_expsyms with egrep

	* libltdl/ltdl.c (lt_dlmalloc, lt_dlfree): SunOS' cc can't cope
	with argument lists, we __P even in the definition

1999-02-15  Thomas Tanner  <tanner@gmx.de>

	* cdemo/Makefile.am: renamed *foo1 to *foo, removed $(MATH_LIB)
	* cdemo/foo1.c: renamed to foo.c
	* libltdl/ltdl.c: eliminated lt_dltype, in presym_open():
	  search for @PROGRAM@ if filename == 0, in lt_dlopen():
	  fixed bug for filename == 0
	* libltdl/ltdl.h: use __P macro for lt_dlmalloc/free
	* libtool.m4: new macro AC_LIBTOOL_DLOPEN: checks for dlopen
	  and dlopen(NULL) support
	* ltconfig.in: added new variables dlopen and dlopen_self,
	  --enable-dlopen[-self] flags for AC_LIBTOOL_DLOPEN
	* ltmain.in: use dlopen[_self], dlpreopen files if there's no
	  dlopen support, build lt_preloaded_symbols only if
	  -dl[pre]open was used, include program symbols if -export-dynamic
	  was specified and there's no dlopen(NULL) support
	* mdemo/configure.in: use AC_LIBTOOL_DLOPEN
	* mdemo/main.c: demonstrate lt_dlopen(0)

1999-02-15  Gary V. Vaughan  <gary@gnu.org>

	* demo/dlmain.c (_WIN32): The lt_symlist structure is now const,
	so my original horrible temporary win32 hack no longer worked.
	Here is a new horrible temporary hack to prevent helldl from SEGVing
	on win32.  I will fix this properly when we figure out how to do
	data exports from dlls.

1999-02-14  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (AC_CHECK_LIBM): do not set MATHLIB or AC_SUBST it,
	this has a negative side-effect of causing automake to add MATHLIB
	to every single Makefile.  Let's use plain AC_CHECK_LIB, so that
	LIBS get set, until we find a better alternative
	* *demo/Makefile.am: remove $(MATHLIB)

	* libltdl/configure.in: add a DESCRIPTION argument to AC_DEFINEs
	where appropriate, so as to get rid of acconfig.h
	* libltdl/acconfig.h: removed

1999-02-13  Thomas Tanner  <tanner@gmx.de>

	* *demo/Makefile.am: use $(MATHLIB)
	* *demo/configure.in: use AC_CHECK_LIBM
	* doc/libtool.texi: renamed file_magic_command to file_magic_cmd,
	  renamed archive_sym_cmds to archive_expsym_cmds
	* ltconfig.in: ditto
	* ltmain.in: ditto
	* libltdl/ltdl.c: use lt_dlmalloc/free
	* libltdl/ltdl.h: define lt_dlmalloc/free
	* libtool.m4: added AC_CHECK_LIBM macro
	* ltconfig.in: renamed archive_sym_cmds to archive_expsym_cmds,
	  added always_export_symbols, export_symbols_cmd, exclude_expsyms,
	  include_expsyms, removed archive_cmds for cygwin/mingw and AIX,
	  on Solaris store the exported symbols list in objdir
	* ltmain.in: allow -export-symbols for modules, use thread_safe flag,
	  add include_expsyms to the exported symbols

1999-02-12  Gary V. Vaughan  <gary@gnu.org>

	* libltdl/ltdl.h (_LTDLL_EXTERN): libltdl is no longer linked as a
	shared library, so the _declspec's were preventing the linker from
	resolving symbols on win32.  They have been removed now.

1999-02-12  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in: don't try to read objdir/libname.la before it is
	created!

	* ltmain.in: create libname.lai at link time, not at install time,
 	but still create it at install time if it is missing
	Reported by Akim Demaille <demaille@inf.enst.fr>

	* libltdl/ltdl.c (tryall_dlopen): strcmp filenames was reversed

1999-02-11  Thomas Tanner  <tanner@gmx.de>

	* autogen: libltdl needs autoheader
	* demo/Makefile.am: renamed hell.debug to hell.static
	  (we're demonstrating static linking, not debugging)
	* tests/demo*: ditto
	* doc/libtool.texi (libltdl): documented new lt_dlopen(NULL)
	  feature
	* libltdl/acconfig.h: required for config.h
	* libltdl/configure.in: use config.h
	* libltdl/ltdl.c: use config.h, support lt_dlopen(NULL)
	  (returns a handle for the program itself)
	* ltconfig.in: minor reformatting
	* ltmain.in: in lt_preloaded_symbols always define
	  the program's symbols first, for -export-dynamic list all
	  program symbols together, -export-symbols was broken for
	  programs, minor reformatting
	* mdemo/Makefile.am: renamed mdemo.debug to mdemo.static
	* tests/mdemo*: ditto, mdemo.test was completely broken

1999-02-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (irix5*, irix6*, osf3*, osf4*): do not use
	-set_version in archive_cmds if verstring is empty
	(irix6*, shlibpath_var, sys_lib_search_path-spec,
	deplibs_check_method): set appropriate values depending on
	selected ABI, -32, -n32 or -64, as set in LD by libtool.m4
	(uts4*): remove dot between .so and versuffix

1999-02-08  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (irix5*, irix6*, deplibs_check_method): use
	file_magic for inter-library dependency tracking

	* ltconfig.in (irix5*, hardcode_libdir_separator): set it to a
	colon, because on IRIX 5 only the last -rpath switch prevails, and
	it can be a list of colon-separated directories.  This change will
	affect irix6 too, but that's not a problem.

	* ltconfig.in (irix5*, library_names_spec): add soname_spec,
	otherwise we can't dlopen

1999-02-08  Thomas Tanner  <tanner@gmx.de>

	* ltconfig.in: according to Marcus Sundberg <mackan@stacken.kth.se>
	  HP/UX, IRIX, OpenBSD, Digital Unix and SunOS support
	  need_version=no and need_lib_prefix=no,
	  fixed a bug in Solaris' archive_sym_cmds

1999-02-04  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (ac_cv_sys_global_symbol_pipe): accept TAB in
	addition to space as separator, and allow more than one space
	between the symbol code and the symbol name; HP/UX's nm, for
	example, uses two spaces
	* ltconfig.in (global_symbol_pipe): ditto
	(bsdi4, deplibs_check_method): variable name was misspelled
	* libltdl/configure.in (libltdl_cv_preloaded_symbols): rewrite
	test, so as not to depend on the way global_symbol_pipe is
	initialized; the current test would get false positives, as
	global_symbol_pipe was initialized `x=""', not `x='

	* libltdl/ltdl.c (find_module): initialize filename if dir is NULL
	Reported by Godmar Back <gback@cs.utah.edu>

1999-02-04  Godmar Back  <gback@cs.utah.edu>

	* libltdl/ltdl.c (lt_dlopenext): missing space for terminator when
	allocating memory for shlib_ext

1999-02-03  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (lt_dlopenext): tmp would be trashed if shlib_ext
 	was longer than 3 characters

1999-02-02  Gary V. Vaughan  <gary@gnu.org>

	* ltconfig.in: new config.guess returns *-*-cygwin now instead of
	*-*-cygwin32.  sed -e 's%\(cygwin\|mingw\)32%\1%g' ltconfig.in
	* ltmain.in:   sed -e 's%\(cygwin\|mingw\)32%\1%g' ltmain.in

	* ltconfig.in (hardcode_libdir_flag_spec, allow_undefined_flag,
	archive_cmds, archive_sym_cmds, old_archive_from_new_cmds):
	removed duplication of config by assuming that `test $with_gcc =
	yes' implies gnu ld, otherwise MSVC++ (which I haven't tested
	since I inheritted the code from Ian Lance Taylor btw!) is implied.

1999-01-28  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in: Reverted this change of Alexandre's from the
	1999-01-25; "don't try to use .o instead of .lo just because
	there's no PIC flag.  It loses if --disable-static, and there's
	not much point if we're referring to the same file anyway...",
	because not all linkers will accept .lo object names.
	* ltmain.in: In the case where --disable-static is specified (as
	noted in Alexandre's log entry), we just link some .o files to
	prevent the original error.
	Reported by Andrey Slepuhin <pooh@msu.ru>

1999-01-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtoolize.in: search for A[MC]_PROG_LIBTOOL, not
	AM_PROG_LIBTOOL
	Reported by Jeff Garzik <jgarzik@pobox.com>

1999-01-27  Gary V. Vaughan  <gary@gnu.org>

	* THANKS: Now that we have a policy, applied it to the existing
	list.  This in no way demeans the work of those people removed
	from the THANKS file, who are still credited in the ChangeLogs and
	without who's work, libtool would not work so well on many
	platforms, but serves to highlight the outstanding and continued
	contribution the remaining people have made.  And I quote, "We
	reserve THANKS for people who have made major contributions, and
	leave the credit to the others for the ChangeLog only."

	* THANKS: added Sam Vilain.
	* ltconfig.in ($echo):  When using printf to replace echo the shell
	expands %s\n to %sn.  Changed to use "%s\n" (with quotes).
	Reported by Sam Vilain <sam.vilain@nz.unisys.com>

1999-01-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (find_file): fix endless loop condition
	(find_module): filename allocation was off by 1

	* libltdl/Makefile.am (distclean-local): renamed from
	distclean-hook, that didn't work

	* libltdl/ltdl.c (lt_dlopen, non-.la): find_file now returns 0 on
	failure

	* Makefile.am (ltconfig, ltmain.sh): some broken makes don't like
	macros in targets; replace $(srcdir) with @srcdir@
	* configure.in (ACINCLUDE_M4_LIST): same problem; expand $srcdir

	* libltdl/Makefile.am (@TOINST@/libltdl.la): if installation is
	enabled, create to-be-installed libltdl.la within @TOINST@
	directory
	(noinst_LTLIBRARIES): even if installation is enabled, build
	convenience libltdl.la, otherwise builds of random packages may
	fail if the user happens to enable installation
	(distclean-hook): wipe out $(TOINST)
	* libltdl/configure.in: set TOINST and LIBLIBS as appropriate;
	don't set NOINSTLIBS any more
	* mdemo/Makefile.am: use libltdl.la

	* libltdl/ltdl.c (find_file): oops, filenamesize was miscomputed

	* libltdl/ltdl.c (find_file): allocate filename dynamically

	* libltdl/configure.in (AC_PROG_LIBTOOL): automake does not
	recognize it and fail, better keep using AM_PROG_LIBTOOL until the
	next release of automake
	* demo/configure.in, cdemo/configure.in: ditto
	* depdemo/configure.in, mdemo/configure.in: ditto

	* libltdl/ltdl.c: make all global strings char[], not char*; check
	that all calls to malloc() are properly cast
	(strdup, strchr, strrchr, trim, free_vars): declare as inline
	(find_module): allocate filename dynamically; support null dir
	(free_vars): free dir and name only if non-null
	(lt_dlopen): keep dir as NULL if not given; fix expression that
	calculated the size of name; only free and name if non-null
	(lt_dlopenext): allocate tmp dynamically

	* configure.in (pkgdatadir): expand ${PACKAGE} at configure-time,
	just like automake does

	* configure.in (pkgdatadir): define pkgdatadir explicitly, and
 	comment that automake does not need it, but libtoolize does

	* Makefile.am (aclocaldir): do not set it explicitly, automake
	does already

	* configure.in (TIMESTAMP): use mkstamp here too

1999-01-27  Thomas Tanner  <tanner@gmx.de>

	* cdemo/configure.in: renamed AM_PROG_LIBTOOL to AC_PROG_LIBTOOL
	* demo/configure.in: likewise
	* depdemo/configure.in: likewise
	* libltdl/configure.in: likewise
	* mdemo/configure.in: likewise
	* libltdl/ltdl.c: in find_module() check whether libdir is defined,
	  tryall_dlopen(): move deallocation of an already opened handle
	  to lt_dlopen(), allocate the directory in lt_dlopen() dynamically,
	  minor cleanups, fixed memory leak (name)
	* libtool.m4: renamed all AM_ macros to AC_ and added aliases for
	  compatibilty, updated AC_SYS_NM_PARSE (no undefined symbols,
	  don't count the symbols)
	* ltconfig.in: added thread_safe_flag_spec (not used yet),
	  added generic variable for linker options "linkopts" in
	  all archive_cmds
	* ltmain.in: added -thread-safe flag (unused)

1999-01-26  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (LTCONFIG_VERSION): damn!, adding TIMESTAMP doesn't
 	always work, because then different ChangeLog timestamps fail to
 	pass the version test.  Instead of forcing both ltconfig and
	ltmain.sh to be updated every time ChangeLog changes, better
	revert it

	* ltconfig.in (LTCONFIG_VERSION): add TIMESTAMP, remove
	explicit quotes and add it to the list of variables to quote

	* ltmain.in: reworded `dropped inter-library dependencies'
	message, and added a warning about inter-library dependencies even
	for non-module builds

1999-01-26  Gary V. Vaughan  <gary@gnu.org>

	* Makefile.am (install-data-hook): Don't show the if expression
	that tests for gzip with a conditional error message; just do it
	quietly and show the error if it fails, or the next action if it
	succeeds.

	* configure.in:  It seems Alexandre accidentally removed the
	AC_SUBST(pkgdatadir) line recently which breaks libtoolize.
	Reverted that small change.

1999-01-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (find_module): test old_name and dlname for NULL,
	not len==0

	* libltdl/configure.in (libltdl_cv_objdir): yes, appending the "/"
	in configure.in was much simpler
	* libltdl/ltdl.c (objdir): ditto

	* libltdl/ltdl.c (objdir): string collation isn't portable; strcat
	"/" explicitly.  Or should this be moved to configure.in?

1999-01-25  Thomas Tanner  <tanner@gmx.de>

	* libltdl/ltdl.c: allocate the variables in lt_dlopen() dynamically

1999-01-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (file_magic): use egrep instead of expr to support
	more general regular expressions
	(file_regex): remove it; the name is misleading, it's not used
 	anywhere, and probably will never be
	* ltconfig.in, doc/libtool.texi: ditto
	* ltconfig.in (linux-gnu*, deplibs_check_method): extend regex to
	support `LSB dynamic lib' in the output of `file'
	Reported by Scott D. Heavner <sdh@po.cwru.edu>

	* ltmain.in (dependency_libs, xrpath): add -R switches to
	dependency_libs only just before creating the .la file; they
	should not be passed to the C compiler or linker at
	library-creation time, since we don't know whether it is supported

	* ltconfig.in (freebsd2.2*, hardcode_minus_L): for FreeBSD 2.2.6,
	this must be `no'

	* mkstamp: move the sed script to extract revision and date
	information into a separate shell-script, so that we can break
	lines between commands; FreeBSD's sed doesn't like `;' after `t'
	Reported by Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
	* Makefile.am: use mkstamp
	* THANKS: added Axel Thimm

	* ltmain.in: don't try to use .o instead of .lo just because
	there's no PIC flag.  It loses if --disable-static, and there's
	not much point if we're referring to the same file anyway...

	* ltmain.in (pass_all=none, droppeddeps): set only if deplibs was
	non-empty

1999-01-24  Thomas Tanner  <tanner@gmx.de>

	* libltdl/ltdl.c: minor bugfixes, append a "/" the search
	  directory only if necessary
	* ltconfig.in: added support for FreeBSD >= 3.0
	  (patch from Kurt D. Zeilenga)
	* THANKS: added Kurt D. Zeilenga

1999-01-24  Thomas Tanner  <tanner@gmx.de>

	* doc/libtool.texi (libltdl): list supported dlopen mechanisms,
	  added function lt_dlopenext(), removed reference to
	  LTDL_PRELOADED_SYMBOLS in LTDL_SET_PRELOADED_SYMBOLS
	* libltdl/ltdl.c: partially reverted Alexandre's dynamic string
	  allocation change (it was not necessary and the code was unreadable),
	  cleanups, removed usr_search_path_size, renamed usr_search_path
	  to user_search_path, in find_module() also check for moved
	  modules, merged find_file() and find_library(),
	  added lt_dlopenext(), in lt_dladdsearchdir() no longer reset
	  the search path if 'search_dir' == NULL and don't use realloc()
	  (might not be available on all platforms),
	  removed __P((void)) in the declaration of lt_dlgetsearchpath()
	* libltdl/ltdl.h: added lt_dlopenext()
	* ltconfig.in: AIX archive commands were broken,
	  fixed a MAJOR bug in global_symbol_pipe which caused
	  "demo-shared.test;demo-make.test" to fail (libtool must not extract
	  undefined symbols of libraries, i.e. symcode must not contain 'U')
	* tests/Makefile.am (clean-local): "make distclean" in cdemo, too

1999-01-22  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.am (ltconfig, ltmain.sh): add ChangeLog Revision to
	TIMESTAMP
	* configure.in: get values of PACKAGE and VERSION set by
	AM_INIT_AUTOMAKE, and extract only TIMESTAMP from the ChangeLog

	* libltdl/ltdl.c (lt_dlopen): if we're reusing a previously opened
	handle, don't reset its name nor add it to the list, and free the
	name we have allocated
	Reported by Edouard G. Parmelan <Edouard.Parmelan@France.NCR.COM>

	* Makefile.am (ltconfig, ltmain.sh, TIMESTAMP): let's not assume
	anything about the format of the date, just that it does not
	contain `$'

1999-01-22  Gary V. Vaughan  <gary@gnu.org>

	* configure.in (date): echo the version number during
	configuration, and show $date for cvs versions.

	* Makefile.am ($(srcdir)/ltconfig): Oops.  cvs co keyword
	expansion ate the sed expression! Changed sed separator to '%'
	because there are '/' in the date.  Added missing '\(' to search
	expression.  Inserted a null string to stop cvs from expanding it
	next time =)O|
	($(srcdir)/ltmain.sh): ditto.

1999-01-22  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.am (TSDEPS_DIST): dist-time dependencies for timestamps
	(timestamps, update-timestamps): check whether TSDEPS_DIST are
	up-to-date and update ltconfig and ltmain.sh if needed
	(ltconfig, ltmain.sh): depend on TSDEPS; replace @TIMESTAMP@ with
	the Date tag in the ChangeLog
	(TSDEPS): empty unless overridden by update-timestamps
	* ltconfig.in, ltmain.in (TIMESTAMP): append timestamp to most
	references to VERSION

1999-01-22  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in (ild): Revert the change which allowed libtool to
	link libraries with dependencies on .la libs.
	* NEWS: Removed reference to win32, incase 1.3 ships before
	ild is ready.
	* doc/PLATFORMS: Removed i686-pc-cygwin32, for the same reason.
	* doc/libtool.texi: Removed win32 refs, for the same reason.

1999-01-22  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (Xsed): add 1 to Xsed definition that goes into
	temporary wrapper scripts
	* libtool.m4: we don't have Xsed here, expand it manually
	Reported by Pavel Roskin <pavel_roskin@geocities.com>

1999-01-22  Edouard G. Parmelan  <Edouard.Parmelan@France.NCR.COM>

	* ltmain.in (finalize_hardcode_libdirs, finalize_rpath): in
	platforms that use -rpath, programs must be finalized at
	installation time, otherwise build-tree programs will
	prefer installed libraries over build-tree ones

1999-01-22  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* mdemo/Makefile.am (../libltdl/libtool): if it does not exist,
	the sub-make for libltdlc.la will take care of it, but we must at
	least provide an empty rule for it, otherwise the sub-make will
	never run

	* demo/configure.in, demo/Makefile.am (DLPREOPEN): reverted; it
	didn't make any difference.

1999-01-21  Gary V. Vaughan  <gary@gnu.org>

	* THANKS: Added Chris Laas <golem@MIT.EDU>

	From Chris Laas <golem@MIT.EDU>
	* ltmain.in (compile):  corrected a typo in compile mode which
	caused "gcc: unrecognized option -c-fPIC" errors due to a missing
	space.

1999-01-21  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/configure.in: reintroduce code to detect native library
	extension
	* libltdl/ltdl.c (lt_dlopen): if a .la file name is given, that's
	all.  Otherwise, lt_dlopen now tries to append .la first.  If this
	fails, it tries the given filename, and, at last, tries to append
	the native library extension to the given filename.
	* doc/libtool.texi (lt_dlopen): explain new lookup strategy

	* libltdl/ltdl.c: major rewrite to avoid almost all fixed-size
	buffers; only `tmp' in lt_dlopen remained.  But the code got ugly
	:-(

	* ltconfig.in (linux-gnu*, finish_cmds): remove erroneous backslash

	* demo/configure.in: set DLPREOPEN to -dlopen if we don't have
	shared libraries
	* demo/Makefile.am (DLPREOPEN): use instead of -dlpreopen
	(STATIC): use $(STATIC), not @STATIC@
	* mdemo/Makefile.am (STATIC): ditto

	* tests/demo-shared.test, tests/demo-static.test: new tests
	* tests/mdemo-shared.test, tests/mdemo-static.test: ditto
	* tests/Makefile.am: ditto
	* doc/libtool.texi: document them
	* demo/Makefile.am, mdemo/Makefile.am (STATIC): do not use
	-static unconditionally, it can't work with --disable-static
	* demo/configure.in, mdemo/configure.in: check whether libtool was
	configured to build static libraries and, if not, set STATIC to an
	empty string

1999-01-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (module, droppeddeps): if libtool could not satisfy
	all dependencies of a module, it will only build a static version
	of it, and display a warning message

1999-01-20  Erez Zadok <ezk@shekel.mcl.cs.columbia.edu>

	* ltconfig.in (aix4*, with_gcc, archive_cmds): fix typo in Andrey
	Slepuhin's last patch

1999-01-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.am (@DIST_MAKEFILE_LIST@): work around Ultrix /bin/sh bug
	* tests/nomode.test (must specify a MODE): ditto
	Reported by Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
	* THANKS: Added Rainer Orth

1999-01-20  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ltconfig.in: No known version of Solaris 2 hardcoded -L paths.

1999-01-20  Erez Zadok <ezk@shekel.mcl.cs.columbia.edu>

	* ltmain.in: s/n\'t/ not/
	* doc/PLATFORMS: updates for sunos4/m68k and aix

1999-01-20  Andrey Slepuhin  <pooh@msu.ru>

	* ltconfig.in (aix4*): check for reworked collect2, always pass
	-bnoentry option to linker when building a shared library

1999-01-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (file_magic): follow soft-links before running `file'
	on the candidate library; try to avoid entering endless loop
	Suggested by Nix <nix@esperi.demon.co.uk>

	* ltconfig.in (linux*, solaris*, bsdi4*, sys_lib_search_path):
	remove expansion of $LD_LIBRARY_PATH
	* ltmain.in (lib_search_path): append the expansion of $shlibpath_var
	* doc/libtool.texi: document it

	* THANKS: Added Steven Schultz

1999-01-20  Steven M. Schultz <sms@wlv.iipo.gtegsc.com>

	* ltconfig.in (bsdi4*, check_shared_deplibs_method): file_magic
	(bsdi4*, sys_lib_search_path): add /shlib and other dirs

1999-01-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* cdemo/main.c (main): use K&R definition syntax
	* mdemo/main.c (test_dl, main): ditto
	(test_dl): casts return value of lt_dlsym to appropriate types

	* ltmain.in (dlsyms): #define const to nothing if not __STDC__

	* ltconfig.in (global_symbol_pipe): #define const to nothing if
	not __STDC__

	* demo/dlmain.c (main): cast s->address to the appropriate pointer
 	types, otherwise StunOS4's cc refuses to compile it

	* ltconfig.in (sunos4*, without_gnu_ld, with_gcc, archive_cmds):
 	add -fPIC, because libgcc is multilibbed, and we want the PIC
 	version of it for shared libraries, otherwise ld complains

	* demo/dlmain.c (main): add missing const to declaration of name

	* libltdl/ltdl.c (find_module): remove the libdir argument, and
	try to  open library only as old_name and dir/dlname
	(lt_dlopen): use `installed' variable in .la file to decide
	whether to use libdir or objdir

	* demo/configure.in (AC_C_CONST): added, for portability
	* mdemo/configure.in (AC_C_CONST): ditto
	* libltdl/configure.in (AC_C_CONST, AC_C_INLINE): ditto
	* libltdl/ltdl.c (LTDL_FILENAME_MAX): use FILENAME_MAX if defined
	(FILENAME_MAX): replace all explicit uses with LTDL_FILENAME_MAX
	(presym_free_symlists, trim): don't return void, for portability
	(lt_dlgetsearchpath): replace (void) with __P((void))

	* ltmain.in (compile): when compiling both PIC and non-PIC, write
 	the PIC object to .libs/.lo and only rename it to .lo after
 	compiling the .o, to avoid fooling make dependencies

	* mdemo/main.c (LTDL_PREOPENED_SYMBOLS): remove

1999-01-20  Gary V. Vaughan  <gary@gnu.org>

	* TODO: Added inter-library deps for ltlibs.

	* THANKS: Added Vladimir Kushnir.

1999-01-20  Vladimir Kushnir  <kushn@mail.kar.net>

	* ltconfig.in (freebsd3*): Define `deplibs_check_method' and
	`file_magic_command' for freebsd-elf.

1999-01-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* TODO: should we also build a `static' copy of a convenience
 	library out of .o files?

	* ltconfig.in (bsdi4*, netbsd*, uts4*, library_names_spec,
	soname_spec): removed duplicate dot before $major
	Reported by Steven M. Schultz <sms@wlv.iipo.gtegsc.com> (bsdi4*)

	* THANKS: added Manfred Weichel

1999-01-20  Manfred Weichel  <Manfred.Weichel@pdb.siemens.de>

	* ltconfig.in (sysv5*): same as sysv4.3*

1999-01-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (lt_dlopen): properly detect error condition when
	full pathname of non-libtool library is provided

	* libltdl/configure.in (libltdl_cv_preloaded_symbols,
	HAVE_PRELOADED_SYMBOLS): test whether we support -dl*open
	* libltdl/ltdl.c (!HAVE_PRELOADED_SYMBOLS, lt_preloaded_symbols):
	define it to an empty list if libtool won't generate it, so as to
	avoid link errors.  This will cause silent dlopening failures, but
	maybe this is better than failing to link the program...

	* libltdl/ltdl.h (LTDL_PRELOADED_SYMBOLS): remove it; better to
	declare lt_preloaded_symbols
	* doc/libtool.texi (LTDL_PRELOADED_SYMBOLS): ditto

	* ltmain.in (dlpredeps): removed, reverting 1999-01-17's change

1999-01-19  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/Makefile.am (Makefile): depend on libtool

	* ltmain.in (lt_preloaded_setup): function added to symbol list
	source file to work around FreeBSD problem

	* Makefile.am (check-local): depend on libltdl/Makefile

	* mdemo/Makefile.am (mdemo_LDFLAGS, mdemo_LDADD): moved -dlopen
	flags to LDADD
	* doc/libtool.texi (Using Automake): how to add -dlopen to LDADD

1999-01-19  Gary V. Vaughan  <gary@gnu.org>

	From Andrey Slepuhin <pooh@msu.ru>
	* ltmain.in (hardcode_action) Oops, misapplied the patch!

	* ltconfig.in (compile_dependencylbs): removed this
	variable and pick up the library dependencies from $deplibs.
	* ltmain.in (compile_dependencylibs): removed this
	variable, use deplibs to hold these dependencies.

	From Andrey Slepuhin <pooh@msu.ru>
	* ltmain.in (hardcode_action) make sure deplibs is set to include
	all the	extra libs added to compile_command.

1999-01-18  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libtool.m4 (LIBTOOL_DEPS): set it
	* libltdl/configure.in (LIBTOOL_DEPS): AC_SUBST it
	* libltdl/Makefile.am (libtool): use it
	* doc/libtool.texi (AM_PROG_LIBTOOL): document it

	* Makefile.am (libltdl.tar.gz): don't create it as part of the
	build, since it is likely to become stale if we do
	(install-data-hook): create and install libltdl.tar.gz, without
	depending on GNU tar
	Reported by Manfred Weichel <Manfred.Weichel@pdb.siemens.de>

1999-01-17  Thomas Tanner  <tanner@gmx.de>

	* Makefile.am: added libltdl.tar.gz to CLEANFILES
	* ChangeLog: some reformatting
	* TODO: documentation updates
	* doc/libtool.texi: added preliminary libltdl documentation,
	  updated dlopen and -module documentation,
	  renamed -avoid-versioning to -avoid-version
	  documented the libtool script variables compiler_c_o,
	  compiler_o_lo, need_locks, old_postuninstall_cmds,
	  postuninstall_cmds, sys_lib_search_path_spec,
	  fix_srcfile_path, objdir, objext, libext,
	  documented the two new flags (--ltdl[-tar]) of libtoolize
	* libltdl/Makefile.am: incremented the version, removed
	  libtool dependency so that it can be build independently
	* libltdl/configure.in: removed LTDL_SHLIB_EXT hack,
	  set version to 1.0, use AM_MAINTAINER_MODE,
	  DLPREOPEN is always supported, check for libtool's objdir variable
	  (LTDL_OBJDIR)
	* libltdl/ltdl.c: some cleanups (moved constants to the beginning
	  of the file and prefixed all of them with LTDL_, minor optimizations
	  in find_file() and find_module()), renamed lt_dlpreopen* to
	  lt_dlpreload* for consistency, removed LTDL_SHLIB_EXT hack,
	  we don't need unistd.h, DLPREOPEN is _always_ supported,
	  reverted Alexandre's lt_dlpreopen_default_ change,
	  try to open the not-installed module before the installed one,
	  replaced lt_dlsearchpath() with lt_dladdsearchdir(),
	  lt_dlsetsearchpath() and lt_dlgetsearchpath()
	* libltdl/ltdl.h: renamed lt_dlpreopen* to lt_dlpreload*
	  for consistency, removed the declaration of lt_preloaded_symbols
	  (should be imported by programs),
	  reverted Alexandre's lt_dlpreopen_default_ change and added
	  two new macros LTDL_PRELOADED_SYMBOLS and
	  LTDL_SET_PRELOADED_SYMBOLS(),
	  added lt_dladdsearchdir(), lt_dlsetsearchpath() and
	  lt_dlgetsearchpath()
	* libtool.m4: some reformatting
	* libtoolize.in: implemented --ltdl, bugfix when checking for
	  the libtool package directory
	* ltconfig.in: removed $thread_safe_flags from Andrey Slepuhin's
	  AIX patch, renamed sys_lib_search_path to sys_lib_search_path_spec,
	  some reformatting, fixed typo in deplibs_check_method (unkwnon)
	* ltmain.in: documented -o for compile mode, some reformatting,
	  renamed -avoid-versioning to -avoid-version
	  renamed sys_lib_search_path to sys_lib_search_path_spec
	* mdemo/Makefile.am: use -avoid-version
	* mdemo/main.c: use LTDL_PRELOADED_SYMBOLS and
	  LTDL_SET_PRELOADED_SYMBOLS()

1999-01-17  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltconfig.in (wlarc): set to either '${wl}' or an empty string,
 	depending on whether archive_cmds runs CC or LD
	(gnu_ld=yes, whole_archive_flag_spec): "$wlarc" instead of '${wl}'

	* mdemo/Makefile.am (../libltdl/libltdlc.la): depend on
	../libtool, because ../libltdl/libtool depends on it
	(mdemo_debug_*): copy from mdemo_*, adding -static to LDFLAGS

	* ltmain.in (dlpredeps): append dependencies from dlopened modules
	(but not dlpreopened ones) after all explicitly linked libraries

	* ltconfig.in (need_lib_prefix, need_version,
 	deplibs_check_method): default to unknown, so that we're
 	remembered that this needs porting; unknown is interpreted as yes,
 	yes and none, respectively
	(freebsd2*, freebsd3*, sunos4*, need_version): set to yes
	(freebsd2*, freebsd3*, library_names_spec): libraries without a
	version number are not used by `ld'; add $versuffix;
	Reported by Ben Jackson <ben@ben.com>
	* ltmain.in (deplibs_check_method): alias unknown to none
	(need_version): if vinfo was not provided and release info was,
	zero out versuffix only if we don't need_version.
	* doc/libtool.texi: document what `unknown' means

	* libltdl/ltdl.h (lt_dlpreopen_default): reverted to a macro
	without arguments, that calls lt_dlpreopen_default_ with
	lt_dlpreloaded_symbols
	* libltdl/ltdl.c (lt_dlpreopen_default_): renamed from
	lt_dlpreopen_default
	(find_module) tryall_dlopen old_name first, so that we don't
 	override statically linked symbols with dlopened ones

1999-01-15  Gary V. Vaughan  <gary@gnu.org>

	From Andrey Slepuhin <pooh@msu.ru>
	* libtoolize.in (cd $pkgdatadir): Make sure we return the the
	working directory when this is done.

	From Andrey Slepuhin <pooh@msu.ru>
	* ltconfig.in (aix): Use shared library support correctly on
	aix4*, and tweak the config for aix3.
	* NEWS: added aix3 and aix4 to list of hosts with improved
	support.
	* THANKS: added Andrey Slepuhin <pooh@msu.ru>.

1999-01-15  Thomas Tanner  <tanner@gmx.de>

	* Makefile.am (@DIST_MAKEFILE_LIST@): added a second '$'
	  before abs_scrdir, removed ltconfig and ltmain.sh from
	  EXTRA_DIST (automake distributes them by default)

1999-01-14  Thomas Tanner  <tanner@gmx.de>

	* autogen: moved faking of the libtool scripts before
	  the call of automake, so that ltconfig and ltmain.sh
	  are included in the distribution
	* ltconfig.in: when checking whether PIC is supported assume
	  only on HP/UX that warnings during compilation mean that
	  PIC is not supported (Thanks to Ron O'Hara)
	* THANKS: added Ron O'Hara

1999-01-14  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.am: Moved ltconfig and ltmain.sh back into srcdir, and
	add them to the distribution.  Added work-around if `mv -f' fails.
	fix @AINCLUDE_M4_LIST@ and @DIST_MAKEFILE_LIST@ for relative and
	absolute specifications of srcdir

1999-01-14  Thomas Tanner  <tanner@gmx.de>

	* libltdl/ltdl.c: added variable symbol prefix, added user-defined
	  library search path (can be set using lt_dlsearchpath()),
	  added default_preloaded_symbols which are independent of
	  lt_dlinit/exit
	* libltdl/ltdl.h: added lt_dlsearchpath() and
	  lt_dlpreopen_default()
	* mdemo/Makefile.am: use -export-dynamic until libtool
	  and libltdl are able to handle module dependencies

1999-01-14  Gary V. Vaughan  <gary@gnu.org>

	* THANKS: added Mark Elbrecht.
	* ltconfig.in (PATH_SEPARATOR): new variable to hold valid $PATH
	separator characters for the build host, to support DJGPP
	environment.
	* ltconfig.in: Use PATH_SEPARATOR instead of hardcoded `:'.
	Reported by Mark Elbrecht <snowball3@usa.net>

	* cdemo/README: typo: mdemo->cdemo

1999-01-14  Thomas Tanner  <tanner@gmx.de>

	* autogen: fake the libtool scripts to help fixing
	  the bootstrapping problem
	* Makefile.am: always configure libltdl, however after building
	  the libtool scripts,
	  build the libtool scripts in builddir, not srcdir
	  (unfortunately this breaks building when srcdir!=objdir,
	   but it was just plain wrong - needs to be fixed),
	  build and install libltdl.tar.gz,
	  copy acinclude.m4 instead of linking them, so that we
	  can 'make dist' in libltdl,
	  fixed configuring of subdirectories
	* configure.in: removed --enable-ltdl-install - libltdl is supposed
	  to be installed by packages, not by libtool itself
	* libtoolize.in: new flags --ltdl and --ltdl-tar to install libltdl
	  in packages (--ltdl doesn't work yet),
	  install only the necessary libtool scripts, not just all
	  files in pkgdatadir
	* mdemo/Makefile.am: removed the rule for libltdl configuration

1999-01-13  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* mdemo/Makefile.am (../libltdl/libtool): mkdir and configure
	../libltdl

1999-01-13  Thomas Tanner  <tanner@gmx.de>

	* demo/dlmain.c, libltdl/ltdl.c, ltconfig.in, ltmain.in,
	  doc/libtool.texi: renamed dld_preloaded_symbols to
	  lt_preloaded_symbols, symbol lists are 'const'
	* cdemo/configure.in: don't check for string.h
	* demo/dlmain.c: renamed dld_symlist to lt_symlist,
	  preloaded symbols are 'const', use lt_ptr_t instead of void*
	* demo/foo.h: define lt_ptr_t
	* doc/libtool.texi: document lt_preloaded_symbols correctly
	* libltdl/Makefile.am, mdemo/Makefile.am: renamed libtest to libltdlc
	* libltdl/ltdl.c: fixed some minor typos, renamed dldpre to presym,
	  bugfix: search in search_path only if we have no directory
	  and a search_path, in lt_dlsym() check whether symbol != 0
	* libltdl/ltdl.h: removed lt_dlpreopen_default()
	* ltconfig.in (dlpreopen): removed dld_preloaded_symbol_count
	* ltmain.in: added help for -avoid-versioning, -export-symbols,
	  -module, add @SYMFILE@ if one of -export-dynamic, -dlopen or
	  -dlpreopen is used
	* mail/deplibs.html: added Gordon Matzigkeit's inter-library
	  dependencies article
	* mdemo/Makefile.am: removed -export-dynamic from LDFLAGS
	  (no longer necessary, since libtool defines lt_preloaded_symbols
	  when -dlopen is used), initialize with lt_preloaded_symbols

1999-01-13  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* doc/libtool.texi (Test descriptions): cdemo-static works, thanks
	to Edouard Parmelan!

	* THANKS: added Sebastian Wilhelmi

	* ltconfig.in (solaris): define `need_version' to no

1999-01-13  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* ltconfig.in (solaris): Define `deplibs_check_method',
	`file_magic_command', `need_lib_prefix' and `sys_lib_search_path'
	* ltmain.in (file_magic_regex): Add space before matching pattern,
	such that it works on solaris (solaris has a tab between the
	library name (including the colon) and the `ELF' and such the
	`ELF' will never be matched).

1999-01-13  Edouard G. Parmelan  <Edouard.Parmelan@France.NCR.COM>

	* ltconfig.in (NM): PATH search was not updated like in
	libtool.m4, in last Alexandre Oliva's change to it
	(sysv4*, ncr): pass all library dependencies
	* ltmain.in (dependency_libs, -R): use `deplib' instead of `arg' to
	iterate, otherwise we'd overwrite `arg'
	(convenience, old_libs): if --disable-shared, convenience
	libraries are just old archives, as .lo's are of no use
	* tests/cdemo-static.test: print --disable-shared here

1999-01-13  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/configure.in (libltdl_cv_shlibext, LTDL_SHLIB_EXT):
	system-dependent extension of shared libraries
	(libltdl_cv_shlibpath_var, LTDL_SHLIBPATH_VAR): system-dependent
	run-time shared library search path
	* libltdl/ltdl.c (dldpre_init, dldpre_exit): unrelate init/exit
	from add/remove symlists, so one may add dld_preloaded_symbols
	from main(), when only a library will call dldpre_init
	(lt_dlopen): use LTDL_SHLIBPATH_VAR, if defined, as secondary
	search path.  Also, if a requested .la file cannot be found, try
	with the LTDL_SHLIB_EXTension instead.

	* ltmain.in (old_archives, oldobjs): use find to SYMDEF here too

	* Makefile.am (@DIST_MAKEFILE_LIST@): `$' must be doubled

	* configure.in (AC_CONFIG_DIRS): configure only libltdl, and then,
	only if --enable-ltdl-install
	(CONF_SUBDIRS): list directories that are configured on demand,
	but that must be included in the distribution
	(ACINCLUDE_M4_LIST, DIST_MAKEFILE_LIST): generated from CONF_SUBDIRS
	* Makefile.am (AUTOMAKE_OPTIONS): added version 1.3e and
	readme-alpha, to handle README-alpha automatically
	(EXTRA_DIST): removed README-alpha
	(BUILD_SUBDIRS): subdirectories that are always built
	(SUBDIRS): BUILD_SUBDIRS plus BUILD_LTDL
	(DIST_SUBDIRS): BUILD_SUBDIRS plus CONF_SUBDIRS, from configure
	(all-local, check-local): depend on $(ACINCLUDE_M4_LIST), from
	configure, and libtool, so that it is built before subdirs
	(configure-subdirs): new target
	(configure-subdirs, distdir): depend on $(DIST_MAKEFILE_LIST),
	from configure
	(@DIST_MAKEFILE_LIST@): create subdir if needed, then run
	configure.
	On-demand configuration of subdirs at distribution time was
	suggested by Gary V. Vaughan <gary@gnu.org>

	* libtool.m4, ltconfig.in (NM): search for NM in PATH before
	/usr/ccs/bin, /usr/ucb and /bin.  However, if the found one isn't
	BSD-compat keep searching.  If no BSD-compat is found, use the
	first we found.

	* THANKS: added Raffaele Sena

1999-01-13  Raffaele Sena  <raff@aromatic.com>

	* libltdl/ltdl.c: replaced RTDL with RTLD

1999-01-13  Manish Singh  <yosh@gimp.org>

	* ltconfig.in (osf3*, osf4*, irix6*): include
	${libname}{release}.so for library_names_spec

1999-01-13  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* configure.in (AC_CONFIG_SUBDIRS): added cdemo
	* Makefile.am (DIST_SUBDIRS): ditto
	(ACINCLUDE_M4_LIST): ditto
	* tests/Makefile.am (TESTS): added cdemo-shared.test
	* tests/cdemo-static.test: disable shared libraries here
	* tests/cdemo-shared.test: disable static libraries here
	* doc/libtool.texi (Test descriptions): added cdemo tests
	* THANKS: added Edouard G. Parmelan

1999-01-13  Edouard G. Parmelan  <Edouard.Parmelan@France.NCR.COM>

	* ltmain.in: fix convenience libraries when static libraries
	are disables.
	* cdemo/README, cdemo/Makefile.am, cdemo/configure.in, cdemo/foo.h,
	cdemo/foo1.c, cdemo/main.c, cdemo/.cvsignore, test/cdemo-conf.test,
	test/cdemo-make.test, test/cdemo-exec.test, test/cdemo-static.test:
	new tests for convenience libraries.
	* autogen, Makefile.am, test/Makefile.am: ditto.

	* ltconfig.in, doc/PLATFORMS: Added support for NCR MP-RAS
	(i586-ncr-sysv4.3*) with native compiler.
	* README, doc/libtool.texi: Added note for NCR MP-RAS compiler.

1999-01-12  Thomas Tanner  <tanner@gmx.de>

	* ltmain.in: before using LN_S remove the symlink
	* libltdl/ltdl.c: support multiple symbol lists, moved library-
	  and file searching to separate functions, renamed "preload_libs"
	  to "dl_dependency_libs", set the LT_SYMBOL_OVERHEAD to the correct
	  value (7), fix to support lt_dlsym() for not-libtool modules again,
	  check for invalid handles, when using strdup() check whether
	  it fails
	* libltdl/ltdl.h: declare the lt_dlsymlist type for lt_dlpreopen()
	* mdemo/README: rewritten
	* mdemo/configure.in: check only for math.h (string.h is no longer
	  necessary)

1999-01-12  Gary V. Vaughan  <gary@gnu.org>

	* configure.in (ltdl-install): Fixed up the indentation so that
	`configure --help' is pretty again.

1999-01-11  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in, NEWS, doc/libtool.texi: Added support for -R flag
	* ltmain.in, doc/libtool.texi: documented that -rpath is the same
	as -R for programs
	* ltmain.in: softened the instructions for linking with installed
	libraries, and noted that libtool can be used to link with them;
	documented that -rpath is not required for convenience libraries

	* ltconfig.in (symxfrm): don't print $pipe_works twice, once for
	each $ac_symprfx
	Reported by Godmar Back <gback@cs.utah.edu>

	* ltmain.in (convenience, libobjs): get only .o and .lo files from
	the files extract from the convenience library.  Some systems,
	such as FreeBSD2, will add a SYMDEF file, that is not an object
	file, and therefore should not be fed to the linker

	* libtool.m4 (AM_SYS_NM_PARSE): while we are at it, we may well
	cache the value of ac_cv_sys_symbol_underscore

	* libtool.m4 (AM_SYS_NM_PARSE): need for underscore prefix is now
	auto-detected, by trying first without, then with it.

	* ltconfig.in: ditto

1999-01-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* configure.in (AC_CONFIG_SUBDIRS): add libltdl, demo, mdemo and
	depdemo commented out, so that `dist' works before `check'
	(BUILD_LTDL): will contain libltdl if --enable-ltdl-install
	* Makefile.am (DIST_SUBDIRS): expand SUBDIRS and add depdemo,
	commented out
	(SUBDIRS): add $(BUILT_LTDL)
	* libltdl/Makefile.am (EXTRA_LTLIBRARIES): add libtest.la, the
	same as libltdl but always a convenience library.  Not built by
	default.  Both libraries now depend on the libtool script, that
	depends on ../libtool and is rebuilt when needed
	* mdemo/Makefile.am (mdemo, mdemo.debug): depend on and link with
	../libltdl/libtest.la, that is rebuilt if needed
	(mdemo_LDADD): removed $(LIBADD_M), to avoid silent failures
	(foo1.la): renamed from libfoo1.la; test removing the lib prefix
	* mdemo/foo1.c: renamed libfoo1_LTX symbols to foo1_LTX
	* mdemo/main.c: don't include string.h nor math.h, nor refer to
	sin nor cos
	* tests/mdemo-exec.test: renamed libfoo1.la to foo1.la
	* tests/mdemo-inst.test: ditto

	* libltdl/ltdl.c (FILENAME_MAX): use it instead of MAX_FILENAME,
	and don't redefine it if already defined; default to 1024, as on
	most systems
	(LT_SYMBOL_LENGTH): renamed from MAX_SYMBOL_LENGTH
	(LT_SYMBOL_OVERHEAD): new macro, that accounts for the size of
	the _LTX_ separator and the initial underscore
	(lt_dlsym): sym now points to a stack buffer (lsym) if possible,
	or is dynamically allocated.  If allocation fails, a
	buffer_overflow_error is returned.

1999-01-10  Thomas Tanner  <tanner@gmx.de>

	* ltmain.in: define dld_preloaded_symbols if at least one of
	  -export-dynamic, -dlopen or -dlpreopen was specified,
	  do not include program objects in the symbol list
	  if -export-dynamic was not enabled
	* libltdl/ltdl.c: limit symbols to max. 256 bytes
	* mdemo/Makefile.am: build libltdl in a subdirectory,
	  do not use -export-dynamic for mdemo and mdemo.debug
	* tests/mdemo-conf.test,tests/mdemo-make.test,tests/mdemo-inst.test:
	  do not check for libltdl

1999-01-09  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libltdl/ltdl.c (lt_dlopen): missing strlen in bound test

1999-01-09  Thomas Tanner  <tanner@gmx.de>

	* NEWS: support for BSD/OS 4.x was not documented
	* demo/Makefile.am: link against libm only if available
	* mdemo/Makefile.am: likewise, use -avoid-versioning flag
	  instead of -avoid-version (typo)
	* demo/configure.in: check for libm, string.h and math.h
	* mdemo/configure.in: likewise
	* depdemo/configure.in: check for libm and math.h
	* libltdl/configure.in: check for dlerror
	* libltdl/ltdl.c: check for buffer overflows, implemented
	  dlerror, fixed a severe bug which occured when opening
	  non-libtool modules, dlopen with the flags GLOBAL and NOW
	* mdemo/main.c: report the error using lt_dlerror()

1999-01-08  Gary V. Vaughan  <gary@gnu.org>

	* doc/libtool.texi (old_archive_from_new_commands): Documented
	this ltcofig variable.

1999-01-07  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.sh (cygwin, allow_undefined): Unfortunately, there are
	problems with this variable when trying to make a dll which has
	undefined symbols, in which case not even a static library is
	built.  For now, we need to specify -no-undefined on the libtool
	link line when we can be certain that all symbols are satisfied,
	otherwise we get a static library.

1999-01-06  Thomas Tanner  <tanner@gmx.de>

	* ChangeLog: merged in tests/ChangeLog
	* tests/ChangeLog: deleted
	* libltdl/ltdl.c: assigned copyright to the FSF
	* libltdl/ltdl.h, mdemo/foo*,main.c: likewise

1999-01-06  Gary V. Vaughan  <gary@gnu.org>

	* ltmain.in (dllsearchpath): add absolute directory paths to
	dllsearchpath so that the wrapper scripts can be called from any
	directory (e.g. tests) on cygwin.

	* ltconfig.in (cygwin, library_names_spec): revert Alexandre's
	change from yesterday to use `-dll.a' suffix.  That change caused
	$libname-dll.a to be a symlink to $soname, which isn't even an
	`ar' archive.  Before the import library suffix can be changed, we
	need to figure out how to handle building objects differently for
	linking with an import library versus an equivalent static library.

	* TODO: Added details of a Linux wrapper script bug.
	Reported by Jeff Garzik <jgarzik@pobox.com>.

1999-01-05  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (libobjs_save, oldobjs): when building an
	old-fashioned archive, use a copy of libobjs saved before
	convenience libraries are appended

	* libltdl/ltdl.h (_LTDLL_EXPORT, _LTDLL_IMPORT): use cygwin or
	unix library import/export primitives; this may be convenient for
	people willing to create DLLs
	(_LTDLL_EXTERN): select _LTDLL_EXPORT or _LTDLL_IMPORT depending
	on _LTDL_COMPILE_
	* libltdl/ltdl.h, libltdl/ltdl.c (lt_dlpreopen): new function,
	that replaces the current preloaded_symbols list with its
	argument, and returns the old value, initially NULL
	(dldpre_init): don't refer to dld_preloaded_symbols any more
	(dldpre_open, dldpre_sym): search preloaded_symbols
	(lt_dlpreopen_default): call lt_dlpreopen with
	dld_preloaded_symbols, that is declared as extern; it should be
	called from the main program or from some static library without
	-no-undefined
	(lt_dlerror): new function, that returns the error message for the
	last error occurred; the error message is kept in the static
	variable last_error
	* libltdl/configure.in (enable-ltdl-install): moved back from
	enable-install; other packages might use enable-install already,
	better have fine grained control over this.
	* libltdl/Makefile.am (libltdls.la): discarded

1999-01-05  Thomas Tanner  <tanner@gmx.de>

	* configure.in: do not configure libltdl by default
	* Makefile.am: do not build libltdl by default
	* libltdl/Makefile.am: ltdls.lo depends on libtool
	* tests/Makefile.am: before starting the tests
	  make sure that libtool was build
	* tests/mdemo-conf.test: configure libltdl
	* tests/mdemo-make.test: build libltdl

1999-01-05  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* ltmain.in (SP2NL, NL2SP): Don't delete empty lines, as this
	would lose for files with embedded blanks.

	* ltconfig.in (cygwin, archive_cmds, archive_sym_cmds): Moved
	ltdll.c into ltmain.in, to avoid its duplication, and added a sed
	script to extract it.  Also, create def and base files in $objdir,
	and don't remove them after the compilation.
	(cygwin, library_names_spec): Create static part of the dll with
	suffix -dll.a, to avoid conflicts with actual static libraries.
	* ltmain.in: Added ltdll.c, as commented out text

1999-01-01  Thomas Tanner  <tanner@gmx.de>

	* NEWS: new BeOS support
	* THANKS: added Joseph Beckenbach
	* libltdl/ltdl.h: use dllimport/export on Win32

Continued in ChangeLog.1998
-- 
  Copyright (C) 1996, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
  2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc.

  This file is part of GNU Libtool.

Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided the copyright
notice and this notice are preserved.  This file is offered as-is,
without warranty of any kind.
